<?php

// QuickTalk forum 1.2 build:20070219

class cTopic
{

// --------

var $id            = -1;
var $numid         = -1;
var $forum         = -1;
var $type          = "P";
var $status        = "0"; // 0=open 1=closed
var $firstpostid   = -1;
var $lastpostid    = -1; 
var $firstpostuser = -1;
var $lastpostuser  = -1;
var $firstpostname;
var $lastpostname;
var $firstpostdate;
var $lastpostdate;
var $replies = 0;
var $views = 0;
var $youreply = "&nbsp;";

var $smile;
var $title;
var $preview;

var $numfield = "0";
var $numformat = "";
var $forumtitle = "&nbsp;";

// --------

function cTopic($row=null)
{
  if ( !empty($row) )
  {
  if ( array_key_exists("id",$row) )            $this->id            = $row["id"];
  if ( array_key_exists("numid",$row) )         $this->numid         = $row["numid"];
  if ( array_key_exists("forum",$row) )         $this->forum         = $row["forum"];
  if ( array_key_exists("type",$row) )          $this->type          = $row["type"];
  if ( array_key_exists("status",$row) )        $this->status        = $row["status"];
  if ( array_key_exists("firstpostid",$row) )   $this->firstpostid   = $row["firstpostid"];
  if ( array_key_exists("lastpostid",$row) )    $this->lastpostid    = $row["lastpostid"];
  if ( array_key_exists("firstpostuser",$row) ) $this->firstpostuser = $row["firstpostuser"];
  if ( array_key_exists("lastpostuser",$row) )  $this->lastpostuser  = $row["lastpostuser"];
  if ( array_key_exists("firstpostname",$row) ) $this->firstpostname = $row["firstpostname"];
  if ( array_key_exists("lastpostname",$row) )  $this->lastpostname  = $row["lastpostname"];
  if ( array_key_exists("firstpostdate",$row) ) $this->firstpostdate = $row["firstpostdate"];
  if ( array_key_exists("lastpostdate",$row) )  $this->lastpostdate  = $row["lastpostdate"];
  if ( array_key_exists("textmsg",$row) )       $this->preview       = bb2html($row["textmsg"],100,false);
  if ( array_key_exists("replies",$row) )       $this->replies       = $row["replies"];
  if ( array_key_exists("views",$row) )         $this->views         = $row["views"];
  if ( array_key_exists("smile",$row) )         $this->smile         = $row["smile"];
  if ( array_key_exists("title",$row) )         $this->title         = $row["title"];
  if ( array_key_exists("numfield",$row) )      $this->numfield      = $row["numfield"];
  if ( array_key_exists("numformat",$row) )     $this->numformat     = $row["numformat"];
  if ( array_key_exists("forumtitle",$row) )    $this->forumtitle    = $row["forumtitle"];
  }
}

// --------

function Get($oDB,$int=-1,$intUser=-1)
{
  if ( $int<0 ) die(get_class($this)."->Get: Wrong id");

  $oDB->Query("SELECT * FROM ".TABTOPIC." WHERE id=$int");
  $row =  $oDB->Getrow();

  $this->cTopic($row);

  if ( $intUser>=0 )
  {
    // +1 when user is not the topic creator himself
    if ( $intUser != $this->firstpostuser )
    {
    $oDB->Query("UPDATE ".TABTOPIC." SET views = views+1 WHERE id={$this->id}");
    }
  }
}

// --------

function GetNewId($oDB,$intForum)
{
  if ( $intForum<0 ) die(get_class($this)."->MakeNew: Wrong forum");
  $this->id = TableNextId($oDB,TABTOPIC);
  $this->numid = TableNextId($oDB,TABTOPIC,"numid","WHERE forum=$intForum");
}

// --------

function SetStatus($oDB,$intId=-1,$str="1")
{
  if ( $intId<0 ) die(get_class($this)."->SetStatus: Wrong id");

  $oDB->Query("UPDATE ".TABTOPIC." SET status=\"$str\" WHERE id=$intId");
  $this->status=$str;
  }

// --------

function SetType($oDB,$intId=-1,$str="T")
{
  if ( $intId<0 ) die(get_class($this)."->SetType: Wrong id");
  $oDB->Query("UPDATE ".TABTOPIC." SET type=\"$str\" WHERE id=$intId");
  $this->type=$str;
}

// --------

function UpdateStats($oDB,$id=-1,$intMax=100,$oPost)
{
  if ( $id<0 ) die(get_class($this)."->UpdateStats: Wrong id");

  // query topics
  $strQ  = "SELECT count(id) as countid FROM ".TABPOST." WHERE type=\"R\" AND topic=$oPost->topic";
  $oDB->Query($strQ);
  $row = $oDB->Getrow();
  $this->replies = $row["countid"];

  $strQ = "";
  if ( isset($oPost) )
  {
  $this->lastpostid = $oPost->id;
  $this->lastpostuser = $oPost->userid;
  $this->lastpostname = $oPost->username;
  $this->lastpostdate = $oPost->issuedate;
  $strQ = ", lastpostid=$oPost->id, lastpostuser=$oPost->userid,lastpostname=\"$oPost->username\", lastpostdate=\"$oPost->issuedate\"";
  }

  // save stats
  $strQ  = "UPDATE ".TABTOPIC." SET replies=$this->replies $strQ WHERE id=$id";
  $oDB->Query($strQ);

  // close topic if full
  if ( $this->replies>$intMax )
  {
  $oDB->Query("UPDATE ".TABTOPIC." SET status=\"1\" WHERE id=$id");
  }
}

// --------

function Insert($oDB,$bUserStat=true)
{
  $strQ  = "INSERT INTO ".TABTOPIC;
  $strQ .= " (id,forum,numid,type,status,firstpostid,lastpostid,firstpostuser,lastpostuser,firstpostname,lastpostname,firstpostdate,lastpostdate,replies)";
  $strQ .= " VALUES (";
  $strQ .= " $this->id,";
  $strQ .= " $this->forum,";
  $strQ .= " $this->numid,";
  $strQ .= " \"$this->type\",";
  $strQ .= " \"$this->status\",";
  $strQ .= " $this->firstpostid,";
  $strQ .= " $this->lastpostid,";
  $strQ .= " $this->firstpostuser,";
  $strQ .= " $this->lastpostuser,";
  $strQ .= " \"$this->firstpostname\",";
  $strQ .= " \"$this->lastpostname\",";
  $strQ .= " \"$this->firstpostdate\",";
  $strQ .= " \"$this->lastpostdate\",";
  $strQ .= " $this->replies)";
  $oDB->Query($strQ);

  Unset($_SESSION["qtf"]["sys_topics"]);

  if ( $bUserStat ) 
  {
  $oDB->Query("SELECT count(*) as countid FROM ".TABPOST." WHERE userid=$this->firstpostuser");
  $row = $oDB->Getrow();
  $oDB->Query("UPDATE ".TABUSER." SET lastdate=\"$this->lastpostdate\", numpost={$row["countid"]}, ip=\"$oDB->user_ip\" WHERE id=$this->firstpostuser");
  }
}

// --------

function GetModeratorActions($strRole="V",$lang,$bShowcurrent=false)
{
  // check
  if ( $strRole!="M" && $strRole!="A" ) Return "";

  // optional
  $strCurrent = "";
  if ( $bShowcurrent ) $strCurrent = " class=\"bold\"";

  // returned value
  $str = "<span class=\"p_button\">";
  $str .= "&nbsp;{$lang["Userrole_$strRole"]}:&nbsp;{$lang["Topic"]}&nbsp;<form method=\"post\" action=\"qtf_ind_post.php\">";
  $str .= "<input type=\"hidden\" name=\"FFforum\" value=\"$this->forum\" />";
  $str .= "<input type=\"hidden\" name=\"FFtopic\" value=\"$this->id\" />";
  $str .= "<input type=\"hidden\" name=\"FFref\" value=\"$this->numid\" />";
  $str .= "<select name=\"FFaction\" class=\"small\">";
  $str .= "<option value=\"reply\">{$lang["Post_reply"]}</option>";
  if ( count($_SESSION["qtTopicstatus"])>5 )
  {
    $str .= "<option value=\"status*\">{$lang["Change_status"]}</option>";
  }
  else
  {
    foreach ($_SESSION["qtTopicstatus"] as $strId => $arrDef)
    {
    $str .= "<option value=\"status_$strId\"".( $this->status==$strId ? $strCurrent : "").">{$lang["Status"]}: {$arrDef["name"]}</option>";
    }
  }
  if ( count($_SESSION["qtTopictypes"])>5 )
  {
    $str .= "<option value=\"type*\">{$lang["Change_type"]}</option>";
  }
  else
  {
    foreach ($_SESSION["qtTopictypes"] as $strId => $arrDef)
    {
    $str .= "<option value=\"type_$strId\"".($this->type==$strId ? $strCurrent : "").">{$lang["Type"]}: {$arrDef["name"]}</option>";
    }
  }
  $str .= "<option value=\"move\">{$lang["Move"]}</option>";
  $str .= "<option value=\"delete\">{$lang["Delete"]}</option>";
  $str .= "</select>&nbsp;<input type=\"submit\" name=\"FFmoderator\" value=\"&raquo;\" />";
  $str .= "</form>";
  $str .= "</span>";

  return $str;
}

// --------

}

?>