<?php

// QuickTalk forum 1.2 build:20070219

session_start();

// INITIALISATION

include("../bin/qtf_class_db.inc");
include("../bin/config.txt");
define ("TABDOMAIN", $qtf_prefix."qtadomain");
define ("TABFORUM", $qtf_prefix."qtaforum");
define ("TABUSER", $qtf_prefix."qtauser");
define ("TABTOPIC", $qtf_prefix."qtatopic");
define ("TABPOST", $qtf_prefix."qtapost");
define ("TABSETTING", $qtf_prefix."qtasetting");

$strAppl  = "QuickTalk forum";
$strVers  = "v1.2";
$strLang = "english";
if ( isset($_SESSION["language"]) ) $strLang = $_SESSION["language"];

include("qtf_lang_$strLang.inc");

// --------
// HTML START
// --------

echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">
<html dir=\"ltr\" lang=\"en\">
<head>
<title>{$lang["Installation"]} $strAppl $strVers</title>
<meta http-equiv=\"content-type\" content=\"text/html; charset=iso-8859-1\" />
<link rel=\"stylesheet\" href=\"../admin/qtf_main.css\">
</head>

<body>

<!-- PAGE CONTROL -->
<div class=\"div_page\">
<table class=\"tab_page\" width=\"750\" cellspacing=\"0\" style=\"margin:5px\">
<tr class=\"tr_page\">
<td class=\"td_page\">
<!-- PAGE CONTROL -->\n\n";

echo <<<END
<!-- HEADER BANNER -->
<div class="div_banner">
<div class="div_banner_in">
<img src="qtf_logo.gif" width="175" height="50" style="border-width:0" alt="QuickTalk" title="QuickTalk" />
</div>
</div>
<!-- END HEADER BANNER -->\n\n
END;

echo "<!-- BODY MAIN -->
<table width=\"100%\" cellspacing=\"0\" style=\"border-style:solid;border-color:#AAAAAA;border-width:1px;\">
<tr class=\"tr_body\">
<td class=\"td_body\">
<!-- BODY MAIN -->\n\n";

echo "1. <b>Opening database connection</b>... ";

$oDB = new cDB($qtf_dbsystem,$qtf_host,$qtf_database,$qtf_user,$qtf_pwd,$qtf_port,$qtf_dsn);

echo "done<br /><br />\n";

// SUBMITTED

if ( isset($_GET["a"]) )
{
  switch ($_GET["a"])
  {
  case "Drop ALL tables":
    echo " Dropping Post...";    $oDB->Query("DROP TABLE ".TABPOST);    echo "done.<br/>\n";
    echo " Dropping Topic...";   $oDB->Query("DROP TABLE ".TABTOPIC);   echo "done.<br/>\n";
    echo " Dropping Forum...";   $oDB->Query("DROP TABLE ".TABFORUM);   echo "done.<br/>\n";
    echo " Dropping Domain...";  $oDB->Query("DROP TABLE ".TABDOMAIN);  echo "done.<br/>\n";
    echo " Dropping User...";    $oDB->Query("DROP TABLE ".TABUSER);    echo "done.<br/>\n";
    echo " Dropping Setting..."; $oDB->Query("DROP TABLE ".TABSETTING); echo "done.<br/>\n";
    break;
  case "Drop table Post":
    echo " Dropping Post...";    $oDB->Query("DROP TABLE ".TABPOST);    echo "done.<br/>\n";
    break;  
  case "Drop table Topic":
    echo " Dropping Topic...";   $oDB->Query("DROP TABLE ".TABTOPIC);   echo "done.<br/>\n";
    break;  
  case "Drop table Forum":
    echo " Dropping Forum...";   $oDB->Query("DROP TABLE ".TABFORUM);   echo "done.<br/>\n";
    break;  
  case "Drop table Domain":
    echo " Dropping Domain...";  $oDB->Query("DROP TABLE ".TABDOMAIN);  echo "done.<br/>\n";
    break;  
  case "Drop table User":
    echo " Dropping User...";    $oDB->Query("DROP TABLE ".TABUSER);    echo "done.<br/>\n";
    break;  
  case "Drop table Setting":
    echo " Dropping Setting..."; $oDB->Query("DROP TABLE ".TABSETTING); echo "done.<br/>\n";
    break;  
  }
}

// Tables do drop

echo "<br />2. <b>Drop the tables</b><br />\n";

echo "<form action=\"qtf_droptables.php\" method=\"get\">\n";
echo "<input type=\"submit\" name=\"a\" value=\"Drop ALL tables\" /><br /><br />\n";
echo "<input type=\"submit\" name=\"a\" value=\"Drop table Post\" /><br />\n";
echo "<input type=\"submit\" name=\"a\" value=\"Drop table Topic\" /><br />\n";
echo "<input type=\"submit\" name=\"a\" value=\"Drop table User\" /><br />\n";
echo "<input type=\"submit\" name=\"a\" value=\"Drop table Forum\" /><br />\n";
echo "<input type=\"submit\" name=\"a\" value=\"Drop table Domain\" /><br />\n";
echo "<input type=\"submit\" name=\"a\" value=\"Drop table Setting\" /><br />\n";
echo "</form>\n";

echo "<p><a href=\"index.php\">install &raquo;</a></p>\n";

// --------
// HTML END
// --------

echo "<!-- END BODY MAIN -->
</td>
</tr>
</table>
<!-- END BODY MAIN -->\n\n";

echo "<div class=\"div_footer_copy\">\n";
echo "<span class=\"p_footer_copy\">powered by <a href=\"http://www.qt-cute.org\" class=\"a_footer_copy\">QT-cute</a></span>\n";
echo "</div>\n\n";

echo "<!-- END PAGE CONTROL -->
</td>
</tr>
</table>
</div>
<!-- END PAGE CONTROL -->

</body>

</html>";
?>