<?php

// QuickTalk forum 1.2 build:20070219

session_start();
$strError = "";
$strAppl  = "QuickTalk forum";
$strVers  = "v1.2";
$strLang = "english";
if ( isset($_SESSION["language"]) ) $strLang = $_SESSION["language"];

include("qtf_lang_$strLang.inc");
include("../bin/config.txt");

// check post

if (!isset($_POST["submit"])) Exit;

include("../bin/qtf_class_db.inc");

// --------
// HTML START
// --------

echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">
<html dir=\"ltr\" xml:lang=\"en\">

<head>
<title>{$lang["Installation"]} $strAppl $strVers</title>
<meta http-equiv=\"content-type\" content=\"text/html; charset=iso-8859-1\" />
<link rel=\"stylesheet\" type=\"text/css\" href=\"../admin/qtf_main.css\" />
</head>\n";

echo "<body>

<!-- PAGE CONTROL -->
<div class=\"div_page\">
<table class=\"tab_page\" width=\"550\" cellspacing=\"0\" style=\"margin:5px\">
<tr class=\"tr_page\">
<td class=\"td_page\">
<!-- PAGE CONTROL -->

\n";

echo <<<END
<!-- HEADER BANNER -->
<div class="div_banner">
<div class="div_banner_in">
<img src="qtf_logo.gif" width="175" height="50" style="border-width:0" alt="QuickTalk" title="QuickTalk" />
</div>
</div>
<!-- END HEADER BANNER -->\n\n
END;

echo "<!-- BODY MAIN -->
<table width=\"100%\" cellspacing=\"0\" style=\"border:1px solid #AAAAAA\">
<tr class=\"tr_body\">
<td class=\"td_body\" style=\"padding:5px\">
<!-- BODY MAIN -->
\n";

echo "<h1>{$lang["Installation"]} $strAppl $strVers</h1><br />\n";
echo "<h2>{$lang["Step_1"]}</h2>\n";

$qtf_dbsystem  = strip_tags(trim($_POST["qtf_dbsystem"]));
$qtf_host      = strip_tags(trim($_POST["qtf_host"]));
$qtf_database  = strip_tags(trim($_POST["qtf_database"]));
$qtf_prefix    = strip_tags(trim($_POST["qtf_prefix"]));
$qtf_user      = strip_tags(trim($_POST["qtf_user"]));
$qtf_pwd       = strip_tags(trim($_POST["qtf_pwd"]));
$qtf_dbo_login = strip_tags(trim($_POST["qtf_dbo_login"]));
$qtf_dbo_pswrd = strip_tags(trim($_POST["qtf_dbo_pswrd"]));
$qtf_port      = strip_tags(trim($_POST["qtf_port"]));
$qtf_dsn       = strip_tags(trim($_POST["qtf_dsn"]));

echo "<div style=\"margin-left:20px; color:blue;\">";
if ($qtf_dbo_login=="")
{
  $oDB = new cDB($qtf_dbsystem,$qtf_host,$qtf_database,$qtf_user,$qtf_pwd,$qtf_port,$qtf_dsn);
}
else
{
  $oDB = new cDB($qtf_dbsystem,$qtf_host,$qtf_database,$qtf_dbo_login,$qtf_dbo_pswrd,$qtf_port,$qtf_dsn);
}
echo "</div>\n";

if ( !empty($oDB->error) )
{
   printf ($lang["Step_1_error"],$qtf_database,$qtf_host);
   echo "<table cellspacing=\"0\" class=\"tab_button\" style=\"width:200px;\"><tr>
   <td class=\"td_button\">&nbsp;<a href=\"qtf_setup.php\">{$lang["Restart"]}</a>&nbsp;</td>
   </tr></table><br />\n";
}
else
{
   echo "{$lang["Step_1_ok"]}<br /><br />\n";
   echo "<h2>{$lang["Step_2"]}</h2>\n";

   $strFilename = "../bin/config.txt";
   $content = "<?php\r\n";
   $content .= "\$qtf_dbsystem = \"$qtf_dbsystem\";\r\n";
   $content .= "\$qtf_host = \"$qtf_host\";\r\n";
   $content .= "\$qtf_database = \"$qtf_database\";\r\n";
   $content .= "\$qtf_prefix = \"$qtf_prefix\";\r\n";
   $content .= "\$qtf_user = \"$qtf_user\";\r\n";
   $content .= "\$qtf_pwd = \"$qtf_pwd\";\r\n";
   $content .= "\$qtf_port = \"$qtf_port\";\r\n";
   $content .= "\$qtf_dsn = \"$qtf_dsn\";\r\n";
   $content .= "?>";
   
   if (!is_writable($strFilename)) $strError="Impossible to write into the file [$strFilename].";
   
   if ( empty($strError) )
   {
      if (!$handle = fopen($strFilename, 'w')) $strError="Impossible to open the file [$strFilename].";
   }
   
   if ( empty($strError) )
   {
      if (fwrite($handle, $content) === FALSE) $strError="Impossible to write into the file [$strFilename].";
      fclose($handle);
   }
   
   if ( empty($strError) )
   {
      echo "{$lang["Step_2_ok"]}<br /><br />";
      echo "<h2>{$lang["Step_3"]}</h2>
      <form method=\"post\" name=\"install\" action=\"qtf_setup_3.php\">
      <input type=\"hidden\" name=\"qtf_dbo_login\" value=\"$qtf_dbo_login\" />
      <input type=\"hidden\" name=\"qtf_dbo_pswrd\" value=\"$qtf_dbo_pswrd\" />
      Create tables into dabase [$qtf_database]&nbsp;<input type='submit' name='submit' value='&nbsp;OK&nbsp;' /><br />
      or <a href='../upgradeto12.php'>Upgrade from v1.0 to v1.2</a>
      </form>\n";
   }
   else
   {
      echo "<div style=\"margin-left:20px; color:blue;\">$strError</div>\n";
      echo $lang["Step_2_error"];
      echo "<table cellspacing=\"0\" class=\"tab_button\" style=\"width:200px;\"><tr>
      <td class=\"td_button\">&nbsp;<a href=\"qtf_setup.php\">{$lang["Restart"]}</a>&nbsp;</td>
      </tr></table>\n";
   }  
   echo "<br /><br />\n";
}

// --------
// HTML END
// --------

echo "<!-- END BODY MAIN -->
</td>
</tr>
</table>
<!-- END BODY MAIN -->\n\n";

echo "<div class=\"div_footer_copy\">\n";
echo "<span class=\"p_footer_copy\">powered by <a href=\"http://www.qt-cute.org\" class=\"a_footer_copy\">QT-cute</a></span>\n";
echo "</div>\n\n";

echo "<!-- END PAGE CONTROL -->
</td>
</tr>
</table>
</div>
<!-- END PAGE CONTROL -->

</body>

</html>";
?>
