<?php

// QuickTalk forum 1.2 build:20070219

if ($oDB->type=="odbc")
{
$strQ = "CREATE TABLE ".$qtf_prefix."qtaforum (
  id int NOT NULL CONSTRAINT pk_qtaforum PRIMARY KEY,
  type char(1),
  status char(1),
  domain int,
  title varchar(64),
  titleorder int,
  moderator int,
  moderatorname varchar(24),
  description varchar(255),
  topics int,
  replies int,
  numfield char(1),
  numformat varchar(12)
)";
}
elseif ($oDB->type=="mssql")
{
$strQ = "CREATE TABLE ".$qtf_prefix."qtaforum (
  id int NOT NULL CONSTRAINT pk_qtaforum PRIMARY KEY,
  type char(1) NOT NULL default \"0\",
  status char(1) NOT NULL default \"0\",
  domain int NOT NULL default 0,
  title varchar(64) NOT NULL default \"untitled\",
  titleorder int NOT NULL default 0,
  moderator int NOT NULL default 0,
  moderatorname varchar(24) NOT NULL default \"Administrator\",
  description varchar(255) NULL,
  topics int NOT NULL default 0,
  replies int NOT NULL default 0,
  numfield char(1) NOT NULL default \"0\",
  numformat varchar(12) NOT NULL default \"T-%03s\"
)";
}
elseif ($oDB->type=="pg")
{
$strQ = "CREATE TABLE ".$qtf_prefix."qtaforum (
  id int NOT NULL,
  type char(1) NOT NULL default \"0\",
  status char(1) NOT NULL default \"0\",
  domain int NOT NULL default 0,
  title varchar(64) NOT NULL default \"untitled\",
  titleorder int NOT NULL default 255,
  moderator int NOT NULL default 0,
  moderatorname varchar(24) NOT NULL default \"Administrator\",
  description varchar(255) default NULL,
  topics int NOT NULL default 0,
  replies int NOT NULL default 0,
  numfield char(1) NOT NULL default \"0\",
  numformat varchar(12) NOT NULL default \"T-%03s\",
  PRIMARY KEY (id)
)";
}
elseif ($oDB->type=="ifx")
{
$strQ = "CREATE TABLE ".$qtf_prefix."qtaforum (
  id integer PRIMARY KEY CONTSTRAINT pk_id,
  type char(1) NOT NULL default \"0\",
  status char(1) NOT NULL default \"0\",
  domain integer NOT NULL default 0,
  title varchar(64) NOT NULL default \"untitled\",
  titleorder integer NOT NULL default 255,
  moderator integer NOT NULL default 0,
  moderatorname varchar(24) NOT NULL default \"Administrator\",
  description varchar(255),
  topics integer NOT NULL default 0,
  replies integer NOT NULL default 0,
  numfield char(1) NOT NULL default \"0\",
  numformat varchar(12) NOT NULL default \"T-%03s\"
)";
}
else
{
$strQ = "CREATE TABLE ".$qtf_prefix."qtaforum (
  id int NOT NULL,
  type char(1) NOT NULL default \"0\",
  status char(1) NOT NULL default \"0\",
  domain int NOT NULL default 0,
  title varchar(64) NOT NULL default \"untitled\",
  titleorder int NOT NULL default 255,
  moderator int NOT NULL default 0,
  moderatorname varchar(24) NOT NULL default \"Administrator\",
  description varchar(255) default NULL,
  topics int NOT NULL default 0,
  replies int NOT NULL default 0,
  numfield char(1) NOT NULL default \"0\",
  numformat varchar(12) NOT NULL default \"T-%03s\",
  PRIMARY KEY (id)
)";
}

echo "<div style=\"margin-left:20px; color:blue;\">\n";
$oDB->Query($strQ);
echo "</div>\n";

if ( !empty($oDB->error) ) 
{
   printf ($lang["Step_3_error"],$qtf_prefix."qtaforum",$qtf_database,$qtf_user);
   echo "<table cellspacing=\"0\" class=\"tab_button\" style=\"width:200px;\"><tr>
   <td class=\"td_button\">&nbsp;<a href=\"qtf_setup.php\">{$lang["Restart"]}</a>&nbsp;</td>
   </tr></table><br />\n";
   exit;
}


$strQ = "INSERT INTO ".$qtf_prefix."qtaforum (
id,type,status,domain,title,titleorder,moderator,moderatorname,description,topics,replies,numfield,numformat) 
VALUES (0,\"1\",\"0\",0,\"Admin forum\",0,0,\"Admin\",\"Forum for the moderators and administrators only\",0,0,\"0\",\"T-%03s\")";

$oDB->Query($strQ);

?>