<?php

// QuickTalk forum 1.2 build:20070219

// Is is recommended to always use capital on first letter in the translation
// software changes to lower case if necessary.

//
// Specific vocabulary
//
$lang["Domain"]="Domein";
$lang["Domains"]="Domeinen";
$lang["Forum"] = "Forum";
$lang["Forums"] = "Forums";
$lang["Topic"] = "Onderwerp";
$lang["Topics"] = "Onderwerpen";
$lang["Message"] = "Bericht";
$lang["Messages"] = "Berichten";
$lang["Reply"] = "Antwoord";
$lang["Replys"] = "Antwoorden";
$lang["News"] = "Info";
$lang["Newss"] = "Infos"; // In other languages: News=One news, Newss=Several news
$lang["News_stamp"] = "Nieuws: ";
$lang["Ref"] = "Ref.";
$lang["Title"] = "Titel";
$lang["Smiley"] = "Smiley";

$lang["Member"] = "Gebruiker";
$lang["Members"] = "Gebruikers";
$lang["Username"] = "Gebruikersnaam";

$lang["Userrole_M"] = "Moderator";
$lang["Userrole_A"] = "Administrator";
$lang["Userrole_U"] = "Gebruiker";
$lang["Userrole_V"] = "Gast";
$lang["Joined"] = "Geregistreerd op";
$lang["Avatar"] = "Avatar";
$lang["Signature"] = "Onderschrift";
$lang["Role"] = "Rang";
$lang["Topic_starter"] = "Auteur";
$lang["Modified_by"] = "Bewerkt door";
$lang["Deleted_by"] = "Geschrapt door";
$lang["Top_participants"] = "Top deelnemers";
$lang["Forum_moderator"] = "Forum moderator";
//
// Common
//
$lang["Ok"] = "OK";
$lang["Yes"] = "Ja";
$lang["No"] = "Nee";
$lang["Exit"] = "Uitrit";
$lang["By"] = "Door";
$lang["Seconds"] = "Seconden";
$lang["Day"] = "Dag";
$lang["Days"] = "Dagen";
$lang["All"] = "Alles";
$lang["None"] = "Niets";
$lang["Page"] = "pagina";
$lang["Pages"] = "pagina's";
$lang["Next"] = "Volgende";
$lang["Previous"] = "Vorige";
$lang["First"] = "Eerste";
$lang["Last"] = "Laatste";
$lang["Hidden"] = "Verborgen";
$lang["Status"] = "Statuut";
$lang["Type"] = "Type";
$lang["Opened"] = "Open";
$lang["Closed"] = "Gesloten";
$lang["Change_status"] = "Statuut veranderen...";
$lang["Change_type"] = "Type veranderen...";
$lang["Changed"] = "Bewerkt";
$lang["Go"] = "&gt;";
$lang["Goto"] = "Ga naar";
$lang["Send"] = "Zend";
$lang["Advanced_reply"] = "Voorproef...";
$lang["Preview"] = "Voorproef";
$lang["Save"] = "Bewaar";
$lang["Change"] = "Bewerk";
$lang["Email"] = "E-mail";
$lang["Location"] = "Woonplaats";
$lang["Website"] = "Website";
$lang["H_Website"]="Uw website url (met http://)";
$lang["Found"] = "Gevonden";
$lang["Containing"] = "Bevat";
$lang["Welcome_to"] = "Welkom voor een nieuw gebruiker, ";
$lang["Welcome"] = "Welkom";
$lang["Goodbye"] = "U bent uitgelogd... Tot ziens";
$lang["Reason"] = "Reden";
$lang["Add"] = "Toevoegen";
$lang["Remove"] = "Uitwissen";
//
// Menu
//
$lang["FAQ"] = "FAQ";
$lang["Search"] = "Zoeken";
$lang["Memberlist"] = "Gebruikerslijst";
$lang["Login"] = "Inloggen";
$lang["Logout"] = "Uitloggen";
$lang["Register"] = "Registreer";
$lang["Profile"] = "Profiel";
$lang["Administration"] = "Administratie";
$lang["Privacy"] = "Privacy";
$lang["Coppa_form"] = "Coppa vorm";
$lang["Help"] = "Hulp";
//
// Forum
//
$lang["Post_new_topic"] = "Nieuw&nbsp;onderwerp"; // use &nbsp; as space to avoid double ligne buttons
$lang["Post_reply"] = "Antwoord"; // use &nbsp; as space to avoid double ligne buttons
$lang["Last_message"] = "Laatste bericht";
$lang["Goto_message"] = "[<b>&raquo;</b>]";
$lang["H_Goto_message"] = "Laatste bericht";

$lang["Topic_closed"] = "Gesloten&nbsp;onderwerp"; // use &nbsp; as space to avoid double ligne buttons
$lang["Topic_re-opened"] = "Heropend onderwerp";
$lang["Topic_moved"] = "Topic moved";
$lang["Topic_deleted"] = "Topic deleted";

$lang["You_reply"] = "U antwoordt";
$lang["Views"] = "Bekeken";
$lang["Quote"] = "Quote";
$lang["Edit"] = "Bewerken";
$lang["Delete"] = "Uitwissen";
$lang["Move"] = "Verplaatsen";
$lang["Close"] = "Sluiten";
$lang["Re_open"] = "Heropenen";
$lang["Destination"] = "Bestemming";

$lang["Quick_reply"] = "Snel antwoord";
$lang["Previous_replies"] = "Vorige berichten";
$lang["Close_topic"] = "Sluit dit onderwerp";
$lang["Edit_message"] = "Bewerk bericht";
$lang["Delete_message"] = "Verwijder bericht";
$lang["Message_deleted"] = "Bericht verwijderd...";
$lang["Users_deleted"] = "Gebruikers verwijderd...";

$lang["Move_keep"]="Houd origineel verwijzing";
$lang["Move_reset"]="Verwijzingen terug naar 0";
$lang["Move_follow"]="Nummer volgt het bestemmingsforum";
//
// Restrictions
//
$lang["R_member"] = "De toegang is beperkt tot slechts leden.";
$lang["R_moderator"] = "De toegang is beperkt tot slechts moderatoren.";
$lang["R_admin"] = "De toegang is beperkt tot slechts administratoren.";
//
// Errors
//
$lang["E_access"] = "De toegang is beperkt...";
$lang["E_forum_closed"] = "Forum&nbsp;is&nbsp;gesloten"; // use &nbsp; as space to avoid double ligne buttons
$lang["E_no_public_forum"] = "Dit forum bevat geen openbaar onderwerp. De priv&eacute; forumtoegang vereist login.";
$lang["E_invalid"] = "ongeldig";
$lang["E_wait"] = "Gelieve te wachten een paar seconden";
$lang["E_too_much"] = "Te veel berichten vandaag...<br /><br />Om veiligheidsredenen, is de aantallen toegestane posten beperkt. Probeer opnieuw morgen. Dank.";
$lang["E_too_long"] = "Te lang bericht";
$lang["E_char_max"] = "(maximum %d tekens)";
$lang["E_line_max"] = "(maximum %d lijnen)";
$lang["E_no_title"] = "Een titel is verplicht";
$lang["E_topic_private"] = "(of priv&eacute; onderwerpen)";
$lang["E_mandatory"] = "Verplicht data niet gevonden.";
$lang["E_javamail"] = "Veiligheid: java is nodig om e-mail te zien";
$lang["E_text"] = "Probleem met uw bericht.";
//
// Success
//
$lang["S_update"] = "Voltooide update...";
$lang["S_delete"] = "Schrap voltooid...";
$lang["S_insert"] = "Succesvolle verwezenlijking...";
$lang["S_save"]   = "Sparen voltooid...";
$lang["S_message_saved"] = "Bewaard bericht...<br />Dank u";
//
// Dates ...
//
$lang["date"]["January"] = "januari";
$lang["date"]["February"] = "februari";
$lang["date"]["March"] = "maart";
$lang["date"]["April"] = "april";
$lang["date"]["May"] = "mei";
$lang["date"]["June"] = "juni";
$lang["date"]["July"] = "juli";
$lang["date"]["August"] = "augustus";
$lang["date"]["September"] = "september";
$lang["date"]["October"] = "oktober";
$lang["date"]["November"] = "november";
$lang["date"]["December"] = "december";
$lang["date"]["Jan"] = "jan";
$lang["date"]["Feb"] = "feb";
$lang["date"]["Mar"] = "mrt";
$lang["date"]["Apr"] = "apr";
$lang["date"]["May"] = "mei";
$lang["date"]["Jun"] = "jun";
$lang["date"]["Jul"] = "jul";
$lang["date"]["Aug"] = "aug";
$lang["date"]["Sep"] = "sep";
$lang["date"]["Oct"] = "okt";
$lang["date"]["Nov"] = "nov";
$lang["date"]["Dec"] = "dec";
$lang["date"]["Today"] = "Vandaag";
$lang["date"]["Yesterday"] = "Gisteren";
$lang["date"]["Sunday"] = "zondag";
$lang["date"]["Monday"] = "maandag";
$lang["date"]["Tuesday"] = "dinsdag";
$lang["date"]["Wednesday"] = "woensdag";
$lang["date"]["Thursday"] = "donderdag";
$lang["date"]["Friday"] = "vrijdag";
$lang["date"]["Saturday"] = "zaterdag";
$lang["date"]["Sun"] = "zo";
$lang["date"]["Mon"] = "ma";
$lang["date"]["Tue"] = "di";
$lang["date"]["Wed"] = "wo";
$lang["date"]["Thu"] = "do";
$lang["date"]["Fri"] = "vr";
$lang["date"]["Sat"] = "za";
?>
