<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( $oVIP->role!="A" ) die($lang["R_admin"]);

// INITIALISE

include("$strLang/qtf_adm.inc");

$intId = -1;

$oForum = new cForum;

$oVIP->selfurl = "qtf_adm_forum_del_for.php";
$oVIP->selfname = $lang["Adm_forum_delete"];
$oVIP->exiturl = "qtf_adm_forum.php";
$oVIP->exitname = $lang["Adm_forums"];

// --------
// SUBMITTED
// --------

if ( isset($_POST["FFsubmit"]) )
{
  // CHECK VALUES

  if ( isset($_POST["FFid"]) ) $intId = $_POST["FFid"];
  if ( $intId<1 ) die ("Missing parameters");

  // DELETE

  if ( empty($strError) )
  {
    // delete content
    $oForum->DeleteContent($oDB,$intId);
    // delete forum
    $oDB->Query("DELETE FROM ".TABFORUM." WHERE id=$intId");
    // change page info
    Unset($_SESSION["qtf"]["sys_topics"]);
    Unset($_SESSION["qtf"]["sys_messages"]);
    Unset($_SESSION["qtGotolist"]);
    // exit
    $oVIP->EndMessage(NULL,$lang["S_delete"],"admin",2);
  }
}

// --------
// HTML START
// --------

if ( isset($_GET["f"]) ) $intId = $_GET["f"];
if ( $intId<0 ) die("Missing parameters");

$oForum->Get($oDB,$intId);

include("qtf_adm_p_header.inc");
include("qtf_adm_p_title.inc");

// FORM

echo "<form method=\"post\" action=\"$oVIP->selfurl\">\n";
echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";
echo "<colgroup span=\"2\"><col width=\"150\"></col></colgroup>\n";

echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\">{$lang["Forum"]}</th>\n";
echo "\t<td class=\"td_cnt\">$oForum->title</td>\n";
echo "</tr>\n";

echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\">{$lang["Containing"]}</th>\n";
echo "\t<td class=\"td_cnt\">$oForum->topics ".LangS("Topic",$oForum->topics,$lang).", $oForum->replies ".LangS("Reply",$oForum->replies,$lang)."</td>\n";
echo "</tr>\n";
if ( $oForum->topics>0 )
{
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\">&nbsp;</th>\n";
echo "\t<td class=\"td_cnt\"><i><b>{$lang["H_Topics_delete"]}</b></i>&nbsp;&nbsp;<a href=\"qtf_adm_topic_move.php?f=$oForum->id\">{$lang["Adm_topics_move"]} &raquo;</a></td>\n";
echo "</tr>\n";
}
echo "<tr class=\"tr_cnt\">\n";
echo "<th class=\"th_cnt\">&nbsp;</th>\n";
echo "<td class=\"td_cnt\"><input type=\"hidden\" name=\"FFid\" value=\"$oForum->id\" /><input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Delete"]}\" />";
echo "</td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "</form>\n";
echo "<br />&laquo;&nbsp;<a href=\"$oVIP->exiturl\">{$lang["Adm_forums"]}</a><br />\n";

// HTML END

include("qtf_adm_p_footer.inc");

?>