<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( $oVIP->role!="A" ) die($lang["R_admin"]);

$strAction = "add";
if ( isset($_GET["a"]) ) $strAction = $_GET["a"];

// INITIALISE

include(Translate($strLang,"qtf_adm.inc"));

$oVIP->selfurl = "qtf_adm_module.php";
$oVIP->selfname = $lang["Adm_modules"];

// --------
// SUBMITTED
// --------

if ( isset($_POST["FFsubmit"]) )
{
  $strAction = "add";
  if ( isset($_POST["FFaction"]) ) $strAction = $_POST["FFaction"];

  // check form
  $strName = strtolower(strip_tags(trim($_POST["FFname"]))); if ( get_magic_quotes_gpc() ) $strName = stripslashes($strName);
  $strName = str_replace(" ","_",$strName);
  $strFile = "qtfm_".$strName."_".($strAction=="rem" ? "un" : "")."install.php";

  if ( file_exists($strFile) )
  {
  // exit
  $oVIP->exiturl = $strFile."\" target=\"top";
  $oVIP->exitname = $lang["Module_$strAction"];
  $oVIP->EndMessage(NULL,$lang["Module_name"].": ".$strName,"admin",0);
  }
  else
  {
  $strError = "Module not found... ($strFile)<br /><br />Possible cause: components of this module are not uploaded.";
  }
}

// --------
// HTML START
// --------

include("qtf_adm_p_header.inc");
include("qtf_adm_p_title.inc");

// FORM

echo "<form method=\"post\" action=\"$oVIP->selfurl\">\n";

echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";

echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\" style=\"width:200px;\"><label for=\"FFname\">{$lang["Module_$strAction"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><input id=\"FFname\" name=\"FFname\" size=\"12\" maxlength=\"24\" value=\"\" />&nbsp;<span class=\"help\">{$lang["Module_name"]}</span></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\">&nbsp;</th>\n";
echo "\t<td class=\"td_cnt\"><input type=\"hidden\" name=\"FFaction\" value=\"$strAction\" /><input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Search"]}\" /></td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "</form>\n";

echo "<br />\n";

// HTML END

include("qtf_adm_p_footer.inc");

?>
