<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( $oVIP->role!="A" ) die($lang["R_admin"]);

// INITIALISE

include(Translate($strLang,"qtf_adm.inc"));

$oForum = new cForum;

$days=10;
if ( isset($_GET["d"]) ) $days = $_GET["d"];

$oVIP->selfurl  = "qtf_adm_topic_del.php";
$oVIP->selfname = $lang["Adm_topics_delete"];
$oVIP->exiturl = "qtf_adm_topic.php?d=$days";
$oVIP->exitname = $lang["Adm_topics"];

// --------
// SUBMITTED
// --------

if ( isset($_POST["FFsubmit"]) )
{
  $oForum->DeleteContent($oDB,$_POST["FFid"]);
  // exit
  $oVIP->exiturl  = "qtf_adm_topic.php?d=$days";
  $oVIP->EndMessage(NULL,$lang["S_delete"],"admin",2);
}

// --------
// HTML START
// --------

include("qtf_adm_p_header.inc");
include("qtf_adm_p_title.inc");

$oForum->Get($oDB,$_GET["f"]);
$oForum->CountNews($oDB,$_GET["f"]);

// FORM

echo "<form method=\"post\" action=\"{$oVIP->selfurl}\">\n";
echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\" style=\"width:150px;\">{$lang["Forum"]}</th>\n";
echo "\t<td class=\"td_cnt\">{$oForum->title}</td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\">{$lang["Adm_stats"]}</th>\n";
echo "\t<td class=\"td_cnt\">$oForum->news ".LangS("News",$oForum->news,$lang).", $oForum->topics ".LangS("Topic",$oForum->topics,$lang).", $oForum->replies ".LangS("Reply",$oForum->replies,$lang)."</td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\">&nbsp;</th>\n";
echo "\t<td class=\"td_cnt\"><i><b>{$lang["H_Topics_delete"]}</b></i></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\">&nbsp;</th>\n";
echo "\t<td class=\"td_cnt\"><input type=\"hidden\" name=\"FFid\" value=\"{$_GET["f"]}\" /><input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Delete"]}\" /></td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "</form>\n";
echo "<br />\n";
echo "&laquo;&nbsp;<a href=\"$oVIP->exiturl\">{$lang["Adm_topics"]}</a><br />\n";

// HTML END

include("qtf_adm_p_footer.inc");

?>