<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( !$oVIP->CanAccess("U",0,true) ) die($lang["R_member"]);

// INITIALISE

include("$strLang/qtf_register.inc");

$id = -1;
if (isset($_GET["id"])) $id = $_GET["id"];

$oVIP->selfurl = "qtf_form_sign.php";
$oVIP->selfname = $lang["Change_signature"];
$oVIP->exiturl = "qtf_usr.php?id=$id";
$oVIP->exitname = $lang["Profile"];

// --------
// SUBMITTED
// --------

if ( isset($_POST["FFsubmit"]) )
{
  // check values
  $id = $_POST["FFid"];
  $str = trim($_POST["FFtext"]); if ( get_magic_quotes_gpc() ) $str = stripslashes($str);
  $str = FormatMessage($str);

  // update domain
  if ( empty($strError) )
  {
    $oDB->Query("UPDATE ".TABUSER." SET signature=\"$str\" WHERE id=$id");
    // exit
    $oVIP->exiturl = "qtf_usr.php?id=$id";
    $oVIP->EndMessage(NULL,$lang["S_update"],$strSkin,2);
  }
}

// --------
// HTML START
// --------

$bJavaCom=true;
$bJavaBbc=true;
include("qtf_p_header.inc");

if ($id < 0) die("Missing parameters");
if ( ( $oVIP->role!="A" ) && ($oVIP->id!=$id) ) die($lang["R_member"]);

// DISPLAY PREVIOUS

$oDB->Query("SELECT signature,name,avatar FROM ".TABUSER." WHERE id=$id");
$row = $oDB->Getrow();

$strSign = bb2html($row["signature"]);
if ( empty($strSign) ) $strSign="&nbsp;";

echo "<br />\n";
echo "<table class=\"tab_hidden\" cellspacing=\"0\">\n";
echo "<colgroup span=\"2\">\n";
echo "<col width=\"175\"></col>\n";
echo "<col></col>\n";
echo "</colgroup>\n";
echo "<tr class=\"tr_hidden\">\n";
echo "<td class=\"td_hidden\">".GetAvatar($id,$row["avatar"],false,"div_avatar_box",$row["name"],$lang["Avatar"])."</td>\n";
echo "<td class=\"td_hidden\">\n";

// SIGNATURE

echo "<h2>{$lang["Signature"]}</h2>\n";

echo "\t<table class=\"tab_cnt\" cellspacing=\"0\">\n";
echo "\t<tr class=\"tr_cnt\">\n";
echo "\t<td class=\"td_form\">$strSign</td>\n";
echo "\t</tr>\n";
echo "\t</table>\n";

echo "<p>{$lang["H_no_signature"]}</p>\n";

// NEW SIGNATURE

echo "<h2>{$oVIP->selfname}</h2>\n";
echo "<form method=\"post\" action=\"{$oVIP->selfurl}\">\n";
echo "\t<table class=\"tab_cnt\" cellspacing=\"0\">\n";
echo "\t<tr class=\"tr_cnt\">\n";
echo "\t<td class=\"td_form\">\n";

if ( $_SESSION["qtf"]["bbc"]!="0" )
{
  $bJavaBbc=true;
  $bJavaBbc2=true;
  include("qtf_form_button.inc");
}

echo "<br /><textarea id=\"FFtext\" name=\"FFtext\" rows=\"5\" wrap=\"virtual\" cols=\"80\">{$row["signature"]}</textarea>\n\t</td>\n";
echo "\t</tr>\n";
echo "\t<tr class=\"tr_cnt\">\n";
echo "\t<td class=\"td_form\"><input type=\"hidden\" name=\"FFid\" value=\"$id\" /><input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Save"]}\" />&nbsp;";
if ( !empty($strError) ) echo "<span class=\"error\">$strError</span>";
echo "\t</td>\n";
echo "\t</tr>\n";
echo "\t</table>\n";
echo "</form><br />\n";

echo "</td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "<br />\n";

echo "&laquo;&nbsp;<a href=\"$oVIP->exiturl\">{$lang["Profile"]}</a><br /><br />\n";

// HTML END

include("qtf_p_footer.inc");

?>