<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( !$oVIP->CanAccess("MUV",5,true) ) $oVIP->EndMessage("!",$lang["R_member"],$strSkin,0);

// INITIALISE

include("$strLang/qtf_search.inc");

$oVIP->selfurl = "qtf_ind_search.php";
$oVIP->selfname = $lang["Search"];

// --------
// HTML START
// --------

$bJavaCom=true;
include("qtf_p_header.inc");

// --------
// CONTENT
// --------

echo "<table class=\"tab_button\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_button\">\n";
echo "\t<td>&nbsp;</td>\n";
echo "\t<td style=\"width:25px\" class=\"td_button\">".GetIcon($strSkin,"topic","t","0","")."</td>\n";
echo "\t<td style=\"width:120px\" class=\"td_button\">&nbsp;<a href=\"qtf_ind_search_ov.php?a=last\" class=\"a_button\">{$lang["Last_messages"]}</a>&nbsp;</td>\n";
echo "\t<td style=\"width:10px\">&nbsp;</td>\n";
echo "\t<td style=\"width:25px\" class=\"td_button\">".GetIcon($strSkin,"topic","a","0","")."</td>\n";
echo "\t<td style=\"width:120px\" class=\"td_button\">&nbsp;<a href=\"qtf_ind_search_ov.php?a=news\" class=\"a_button\">".$lang["All_news"]."</a>&nbsp;</td>\n";
if ($oVIP->role!="V")
{
  echo "\t<td style=\"width:10px\">&nbsp;</td>\n";
  echo "\t<td style=\"width:25px\" class=\"td_button\">".GetIcon($strSkin,"user","p","1","")."</td>\n";
  echo "\t<td style=\"width:120px\" class=\"td_button\">&nbsp;<a href=\"qtf_ind_search_ov.php?a=user&id={$oVIP->id}&amp;n={$oVIP->name}\" class=\"a_button\">".$lang["All_my_topics"]."</a>&nbsp;</td>\n";
}
echo "</tr>\n";
echo "</table>\n";

echo "<h2>{$lang["Search_by_key"]}</h2>\n";

echo "<form method=\"get\" action=\"qtf_ind_search_kw.php\" onsubmit=\"return validatetitle(this,64,'{$lang["E_mandatory"]}');\">
<fieldset class=\"fs_search\">
<table class=\"tab_hidden\" cellspacing=\"0\">
<tr class=\"tr_hidden\">
<td class=\"td_hidden\" style=\"padding:7px\"><input type=\"text\" name=\"FFtitle\" size=\"40\" maxlength=\"64\" alt=\"{$lang["Keywords"]}\"/>&nbsp;<input type=\"checkbox\" id=\"to\" name=\"to\" value=\"1\" /><label for=\"to\">{$lang["In_title_only"]}</label></td>
<td class=\"td_hidden\" style=\"padding:7px; text-align:right\"><input type=\"submit\" name=\"s\" value=\"{$lang["Search"]}\" /></td>
</tr>
<tr class=\"tr_hidden\">
<td class=\"td_hidden\" colspan=\"2\" style=\"padding:7px\"><select name=\"f\" size=\"1\">
  <option value=\"-1\">{$lang["In_all_forums"]}</option>\n";
  if (isset($_SESSION["qtGotolist"])) {
  if (count($_SESSION["qtGotolist"])>0) {
    foreach ($_SESSION["qtGotolist"] as $intKey => $strValue)
    {
    echo "\t<option value=\"$intKey\">{$lang["Forum"]}: $strValue</option>\n";
    }
  }
  }
  echo "\t</select>&nbsp;
  <select name=\"al\" size=\"1\">
  <option value=\"0\">{$lang["At_least_0"]}</option>
  <option value=\"1\">{$lang["At_least_1"]}</option>
  <option value=\"2\">{$lang["At_least_2"]}</option>
  <option value=\"3\">{$lang["At_least_3"]}</option>
  </select>&nbsp;
  <select name=\"at\" size=\"1\">
  <option value=\"0\">{$lang["Since_a"]}</option>
  <option value=\"1\">{$lang["Since_y"]}</option>
  <option value=\"7\">{$lang["Since_w"]}</option>
  <option value=\"31\">{$lang["Since_m"]}</option>
  </select></td>
</tr>
</table>

</fieldset>
</form>\n";

if ( isset($_SESSION["qtGotolist"]) ) {
if ( count($_SESSION["qtGotolist"])>0 ) {

$arrForums = GetForums($oDB,"-",false,true,-1," AND numfield=\"1\"");

if ( count($arrForums)>0 ) {
  
echo "<h2>{$lang["Search_by_ref"]}</h2>

<form method=\"get\" action=\"qtf_ind_search_id.php\" onsubmit=\"return validatetitle(this,64,'{$lang["E_mandatory"]}');\">

<fieldset class=\"fs_search\">
<table class=\"tab_hidden\" cellspacing=\"0\">
<tr class=\"tr_hidden\">
<td class=\"td_hidden\" style=\"padding:7px\">
  <select name=\"f\" size=\"1\">\n";
foreach ($arrForums as $intKey => $strValue)
{
  echo "\t<option value=\"$intKey\">{$lang["Forum"]}: $strValue</option>\n";
}
echo "\t</select>&nbsp;<input type=\"text\" id=\"FFtitle\" name=\"FFtitle\" size=\"5\" maxlength=\"10\" />&nbsp;<label for=\"FFtitle\">{$lang["H_Reference"]}</label>
</td>
<td class=\"td_hidden\" style=\"padding:7px; text-align:right\"><input type=\"submit\" name=\"s\" value=\"{$lang["Search"]}\" /></td>
</tr>
</table>
</fieldset>
</form>\n";
}
}
}

// HTML END

include("qtf_p_footer.inc");
?>
