<?php

// QuickTalk forum 1.2 build:20070219

// HTML START

echo QTF_HTML_DTD."\n";
echo "<html dir=\"".QTF_HTML_DIR."\" xml:lang=\"".QTF_HTML_LANG."\">\n";
echo "<head>\n";
echo "<title>{$_SESSION["qtf"]["site_name"]}</title>\n";
echo "<meta http-equiv=\"content-type\" content=\"text/html; charset=".QTF_HTML_CHAR."\" />\n";
echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"$strSkin/qtf_main.css\" />\n";
if ( $bCssExtra ) echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"$strSkin/qtf_extra.css\" />\n";
echo "<link rel=\"shortcut icon\" href=\"$strSkin/qtf_icon.ico\" />\n";
echo $strCssIE."\n";
if ( $bJavaBbc ) echo "<script type=\"text/javascript\" src=\"bin/qtf_j_bbc.js\"></script>\n";
if ( $bJavaCom ) echo "<script type=\"text/javascript\" src=\"bin/qtf_j_com.js\"></script>\n";
if ( $bJavaAjax ) echo "<script type=\"text/javascript\" src=\"bin/qtf_j_ajax.js\"></script>\n";
if ( isset($strModuleHead) ) echo $strModuleHead . "\n";
echo "</head>\n<body>\n\n";

// PAGE

echo <<<END
<!-- PAGE CONTROL -->
<div class="div_page">
<table class="tab_page" width="{$_SESSION["qtf"]["site_width"]}" cellspacing="0" cellpadding="0">
<tr class="tr_page">
<td class="td_page">
<!-- PAGE CONTROL -->\n\n
END;

// BANNER

if ($_SESSION["qtf"]["show_banner"]=="1")
{
echo <<<END
<!-- HEADER BANNER -->
<div class="div_banner"><div class="div_banner_in">
<img src="$strSkin/qtf_logo.gif" width="175" height="50" style="border-width:0" alt="{$_SESSION["qtf"]["site_name"]}" title="{$_SESSION["qtf"]["site_name"]}" />
</div></div>
<!-- END HEADER BANNER -->\n\n
END;
}

// MENU LINE

echo "<!-- MENU LINE -->\n";
echo "<table class=\"tab_menu\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_menu\">\n";

  // user icon
  echo "\t<td class=\"td_menu_ico\">";
  if ($oVIP->role=="V")
  {
  echo GetIcon($strSkin,"user","p","0","",$lang)."</td>\n";
  }
  else
  {
  echo "<a href=\"qtf_usr.php?id={$oVIP->id}\">".GetIcon($strSkin,"user","p","1","",$lang)."</a></td>\n";
  }
  echo "\t<td class=\"td_menu_sep\"></td>\n";

  // user name
  echo "\t<td class=\"td_menu_usr\">&nbsp;$oVIP->name</td>\n";
  echo "\t<td class=\"td_menu_sep\"></td>\n";

  // menu home
  if ( $_SESSION["qtf"]["home_menu"]=="1" && !empty($_SESSION["qtf"]["home_url"]) )
  {
  echo "\t<td class=\"td_menu\"><a class=\"a_menu\" href=\"{$_SESSION["qtf"]["home_url"]}\">".( empty($_SESSION["qtf"]["home_name"]) ? "Home" : $_SESSION["qtf"]["home_name"] )."</a></td>\n";
  echo "\t<td class=\"td_menu_sep\" style=\"background-image:url('$strSkin/bg_menu_separator.gif'); background-repeat:repeat-x; \"></td>\n";
  }

  // menu faq
  echo "\t<td class=\"td_menu\">".($oVIP->selfurl=="qtf_faq.php" ? "<span class=\"a_menu_off\">{$lang["FAQ"]}</span>" : "<a class=\"a_menu\" href=\"qtf_faq.php\">{$lang["FAQ"]}</a>")."</td>\n";
  echo "\t<td class=\"td_menu_sep\"></td>\n";

  // menu memberlist
  $strMenu    = "<a class=\"a_menu\" href=\"qtf_ind_member.php\">{$lang["Memberlist"]}</a>";
  $strMenuOff = "<span class=\"a_menu_off\">{$lang["Memberlist"]}</span>";
  if ( $_SESSION["qtf"]["board_offline"]=="1" ) $strMenu = $strMenuOff;
  if ( $oVIP->role=="V" && $_SESSION["qtf"]["visitor_right"]<4 ) $strMenu = $strMenuOff;;
  if ( $oVIP->selfurl=="qtf_ind_member.php" ) $strMenu = $strMenuOff;
  echo "\t<td class=\"td_menu\">$strMenu</td>\n";
  echo "\t<td class=\"td_menu_sep\"></td>\n";

  // menu search
  $strMenu    = "<a class=\"a_menu\" href=\"qtf_ind_search.php\">{$lang["Search"]}</a>";
  $strMenuOff = "<span class=\"a_menu_off\">{$lang["Search"]}</span>";
  if ( $_SESSION["qtf"]["board_offline"]=="1" ) $strMenu = $strMenuOff;
  if ( $oVIP->role=="V" && $_SESSION["qtf"]["visitor_right"]<5 ) $strMenu = $strMenuOff;
  if ( $oVIP->selfurl=="qtf_ind_search.php" ) $strMenu = $strMenuOff;
  echo "\t<td class=\"td_menu\">$strMenu</td>\n";
  echo "\t<td class=\"td_menu_sep\"></td>\n";

  // menu profile/logout
  if ( $oVIP->auth!="yes" )
  {
  echo "\t<td class=\"td_menu\">".($oVIP->selfurl=="qtf_usr_new.php" || $_SESSION["qtf"]["board_offline"]=="1" ? "<span class=\"a_menu_off\">{$lang["Register"]}</span>" : "<a class=\"a_menu\" href=\"qtf_usr_new.php\">{$lang["Register"]}</a>")."</td>\n";
  echo "\t<td class=\"td_menu_sep\"></td>\n";
  echo "\t<td class=\"td_menu\">".($oVIP->selfurl=="qtf_usr_login.php" ? "<span class=\"a_menu_off\">{$lang["Login"]}</span>" : "<a class=\"a_menu\" href=\"qtf_usr_login.php\">{$lang["Login"]}</a>")."</td>\n";
  }
  else
  {
  echo "\t<td class=\"td_menu\">".($oVIP->selfurl=="qtf_usr.php" || $_SESSION["qtf"]["board_offline"]=="1" ? "<span class=\"a_menu_off\">{$lang["Profile"]}</span>" : "<a class=\"a_menu\" href=\"qtf_usr.php?id={$oVIP->id}\">{$lang["Profile"]}</a>")."</td>\n";
  echo "\t<td class=\"td_menu_sep\"></td>\n";
  echo "\t<td class=\"td_menu\">".($oVIP->selfurl=="qtf_usr_logout.php" ? "<span class=\"a_menu_off\">{$lang["Logout"]}</span>" : "<a class=\"a_menu\" href=\"qtf_usr_logout.php\">{$lang["Logout"]}</a>")."</td>\n";
  }

echo "</tr>\n";
echo "</table>\n";
echo "<!-- END MENU LINE -->\n\n";

// WELCOME

if ($_SESSION["qtf"]["board_offline"]!="1")
{
  if (file_exists("$strLang/sys_welcome.txt")) {
  if ( ($oVIP->selfurl=="qtf_index.php") || ($oVIP->selfurl=="qtf_ind_topic.php") || ($oVIP->selfurl=="qtf_ind_post.php") || ($oVIP->selfurl=="qtf_ind_member.php") || ($oVIP->selfurl=="qtf_ind_search.php") ) {
  if ( ($_SESSION["qtf"]["forum_welcome"]=="1" && $oVIP->auth!="yes") || ($_SESSION["qtf"]["forum_welcome"]=="2") ) {
    echo "<!-- welcome message -->\n";
    echo "<div class=\"div_welcome\"><div class=\"div_welcome_in\">\n";
    include("$strLang/sys_welcome.txt");
    echo "</div></div>\n";
    echo "<!-- end welcome message -->\n\n";
  }
  }
  }
}

// LINE START
echo "<!-- BODY -->\n";
echo "<div class=\"div_body\"><div class=\"div_body_in\">\n";

echo "<!-- BODY TOP -->\n";
echo "<table class=\"tab_body_hd\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_body_hd\">\n";
echo "\t<td class=\"td_body_hd_l\"><img class=\"img_body_hd_l\" src=\"$strSkin/ico_hd_left.gif\" alt=\"\" /></td>\n";
echo "\t<td class=\"td_body_hd_c\"><a class=\"a_body_hd\" href=\"qtf_index.php\">{$_SESSION["qtf"]["forum_index_name"]}</a>";

if (isset($oForum))
{
  echo " &middot; <a class=\"a_body_hd\" href=\"qtf_ind_topic.php?f=$oForum->id\" >".(QTF_SHOW_DOMAIN ? "$oForum->dom_title: " : "")."{$oForum->title}</a>";
  if ($oForum->numfield=="1")
  {
    if ( isset($oTopic) )
    {
    if ( $oTopic->numid >= 0 ) echo " &middot; ".sprintf($oForum->numformat,$oTopic->numid);
    }
  }
}

echo "</td>\n";

if ($oVIP->selfurl=="qtf_ind_post.php")
{
  echo "\t<td class=\"td_body_hd_c\" style=\"text-align:right\">";
  if ( QTF_SHOW_PRINT ) {
  if ( file_exists(substr($oVIP->selfurl,0,-4)."_prt.php") ) {
    echo "<a href=\"qtf_ind_post_prt.php?f={$_GET["f"]}&amp;t={$_GET["t"]}\"><img class=\"ico_modes\" src=\"$strSkin/ico_view_p.gif\" title=\"{$lang["Ico_view_p"]}\" alt=\"P\" /></a>&nbsp;";
  }
  }
  if ( $_SESSION["qtf"]["viewmode"]=="C" )
  {
  echo "<a href=\"qtf_ind_post.php?f={$_GET["f"]}&amp;t={$_GET["t"]}&amp;view=N\"><img class=\"ico_modes\" src=\"$strSkin/ico_view_n.gif\" title=\"{$lang["Ico_view_n"]}\" alt=\"N\" /></a>&nbsp;";
  echo "<img class=\"ico_modes\" src=\"$strSkin/ico_view_c.gif\" title=\"{$lang["Ico_view_c"]}\" alt=\"C\" />";
  }
  else
  {
  echo "<img class=\"ico_modes\" src=\"$strSkin/ico_view_n.gif\" title=\"{$lang["Ico_view_n"]}\" alt=\"N\" />&nbsp;";
  echo "<a href=\"qtf_ind_post.php?f={$_GET["f"]}&amp;t={$_GET["t"]}&amp;view=C\"><img class=\"ico_modes\" src=\"$strSkin/ico_view_c.gif\" title=\"{$lang["Ico_view_c"]}\" alt=\"C\" /></a>";
  }
  echo "</td>\n";
}

if ($oVIP->selfurl=="qtf_ind_member.php")
{
  echo "\t<td class=\"td_body_hd_c\" style=\"text-align:right\">";
  if ( $_SESSION["qtf"]["viewmode"]=="C" )
  {
  echo "<a href=\"qtf_ind_member.php?view=N\"><img class=\"ico_modes\" src=\"$strSkin/ico_view_n.gif\" title=\"{$lang["Ico_view_n"]}\" alt=\"N\" /></a>&nbsp;";
  echo "<img class=\"ico_modes\" src=\"$strSkin/ico_view_c.gif\" title=\"{$lang["Ico_view_c"]}\" alt=\"C\" />";
  }
  else
  {
  echo "<img class=\"ico_modes\" src=\"$strSkin/ico_view_n.gif\" title=\"{$lang["Ico_view_n"]}\" alt=\"N\" />&nbsp;";
  echo "<a href=\"qtf_ind_member.php?view=C\"><img class=\"ico_modes\" src=\"$strSkin/ico_view_c.gif\" title=\"{$lang["Ico_view_c"]}\" alt=\"C\" /></a>";
  }
  echo "</td>\n";
}

echo "\t<td class=\"td_body_hd_r\"><img class=\"ico_body_hd_r\" src=\"$strSkin/ico_hd_right.gif\" alt=\"\" /></td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "<!-- END BODY TOP -->\n\n";

// BODY START

echo "<!-- BODY MAIN -->\n";
echo "<table width=\"100%\" cellspacing=\"0\" class=\"tab_body\"><tr class=\"tr_body\"><td class=\"td_body\">\n";
echo "<!-- BODY MAIN -->\n\n";

?>