<?php

// QuickTalk forum 1.2 build:20070219

class cVIP
{

// --------

var $auth = "no";
var $id = 0;
var $name = "Guest";
var $role = "V";  //A=Administator,M=Moderator,U=User,V=Visitor
var $child = "0"; //0=NO, 1=Yes agreed, 2=Yes NOT agreed;
var $numpost = 0;
var $selfurl  = "";
var $selfname = "";
var $exiturl  = "qtf_index.php";
var $exitname = "Back";

// --------
// Get authentified user info, if exists in session (or in coockie)

function cVIP($oDB)
{
  if ( isset($_SESSION['qtf_usr_auth']) )
  {
    if ( $_SESSION["qtf_usr_auth"]=="yes" )
    {
    $this->auth = "yes";
    $this->id   = $_SESSION["qtf_usr_id"];
    $this->name = $_SESSION["qtf_usr_name"];
    $this->role = $_SESSION["qtf_usr_role"];
    $this->child = $_SESSION["qtf_usr_child"];
    $this->numpost = $_SESSION["qtf_usr_posts"];
    }   
  }
  else
  {
    if ( isset($_COOKIE["qtf_cookname"]) && isset($_COOKIE["qtf_cookpass"]) )
    {
      $oDB->Query("SELECT id,name,role,numpost,children FROM ".TABUSER." WHERE closed=\"0\" AND name=\"{$_COOKIE["qtf_cookname"]}\" AND pwd=\"{$_COOKIE["qtf_cookpass"]}\"");
      if ( $row = $oDB->Getrow() )
      {
      $this->auth    = "yes";
      $this->id      = $row["id"];
      $this->name    = $row["name"];
      $this->role    = $row["role"];
      $this->numpost = $row["numpost"];
      $this->child   = $row["children"];
      $_SESSION["qtf_usr_auth"] = "yes";
      $_SESSION["qtf_usr_id"]   = $this->id;
      $_SESSION["qtf_usr_name"] = $this->name;
      $_SESSION["qtf_usr_role"] = $this->role;
      $_SESSION["qtf_usr_posts"] = $this->numpost;
      $_SESSION["qtf_usr_child"] = $this->child;
      }
    }
  }
}

// --------
// Add user info in session (and in coockie if requested)

function Login($oDB,$strPwd=False)
{  
  $_SESSION["qtf_usr_auth"]  = "yes";
  $_SESSION["qtf_usr_id"]    = $this->id;
  $_SESSION["qtf_usr_name"]  = $this->name;
  $_SESSION["qtf_usr_role"]  = $this->role;
  $_SESSION["qtf_usr_posts"] = $this->numpost;
  $_SESSION["qtf_usr_child"] = $this->child;
  if ( $strPwd )
  {
  setcookie("qtf_cookname", htmlspecialchars($this->name,ENT_QUOTES), time()+60*60*24*100, "/");
  setcookie("qtf_cookpass", sha1($strPwd), time()+60*60*24*100, "/");
  }
}

// --------

function BackButton()
{  
  $str = "";
  if ( QTF_BACKBUTTON ) $str = "\t<td class=\"td_button\" style=\"width:20px\"><a href=\"$this->exiturl\" class=\"a_button\">".QTF_BACKBUTTON."</a></td>\n";
  Return $str;
}

// --------
// @$strTitle: title of the message box. When null or empty string, uses the page name ($this->selfname)
// @$strMessage: message body.
// @$strSkin: the skin folder
// @$intTime: the pause (in second) before redirecting to the exit page. Use 0 to NOT redirect.

function EndMessage($strTitle,$strMessage="Access denied",$strSkin="skin/default",$intTime=0)
{
  if ( empty($strTitle) ) $strTitle = $this->selfname;
  echo QTF_HTML_DTD."\n";
  echo "<html dir=\"".QTF_HTML_DIR."\" xml:lang=\"".QTF_HTML_LANG."\">\n";
  echo "<head>\n";
  echo "<title>{$_SESSION["qtf"]["site_name"]}</title>\n";
  echo "<meta http-equiv=\"content-type\" content=\"text/html; charset=".QTF_HTML_CHAR."\" />\n";
  echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"$strSkin/qtf_main.css\" />\n";
  echo "<link rel=\"shortcut icon\" href=\"$strSkin/qtf_icon.ico\" />\n";
  echo "</head>\n\n";
  echo "<body>\n\n";
  echo "<!-- PAGE CONTROL -->\n";
  echo "<div class=\"div_page\">\n";
  echo "<table class=\"tab_page\" width=\"90%\" cellspacing=\"0\" cellpadding=\"0\"><tr class=\"tr_page\"><td class=\"td_page\">\n";
  echo "<!-- PAGE CONTROL -->\n\n";
  echo "<br /><br />\n";
  echo "<div class=\"div_msgboxtitle\" style=\"width:300px;\">$strTitle</div>";
  echo "<div class=\"div_msgbox\" style=\"width:300px;\"><br />$strMessage<br />";
  echo "<br />&laquo;&nbsp;<a href=\"{$this->exiturl}\">{$this->exitname}</a>";
  echo "</div>\n\n";
  echo "<!-- END PAGE CONTROL -->\n";
  echo "</td></tr></table>\n";
  echo "</div>\n";
  echo "<!-- END PAGE CONTROL -->\n\n";
  echo "</body>\n</html>";
  if ( $intTime>0 )
  {
  $str = str_replace("&amp;","&",$this->exiturl);
  header('Refresh: '.$intTime.'; URL='.$str);
  }
  exit;
}

// --------
// $strUsers, user roles that can access the page (ex: "MUV")
// $intVlevel, maximum access level for visitor
// $bStopOff, stop when forum off-line (default=true)

function CanAccess($strUsers="---",$intVlevel=5,$bStopOff=true)
{
  if ( $_SESSION["qtf"]["board_offline"]=="1" && $this->role=="A" ) echo "<p>Board is offline but Administrators can make some actions.</p>\n";
  if ( $this->role=="A" ) return true;
  if ( $_SESSION["qtf"]["board_offline"]=="1" && $bStopOff ) return false;
  if ( strpos($strUsers, $this->role) === false ) return false;
  if ( $this->role=="V" && $_SESSION["qtf"]["visitor_right"]<$intVlevel ) return false;
  return true;
}

// --------

}
?>