<?php

// QuickTalk forum 1.2 build:20070219

session_start();
$strAppl  = "QuickTalk forum";
$strVers  = "v1.2";
$strLang = "english";
if ( isset($_SESSION["language"]) ) $strLang = $_SESSION["language"];

include("qtf_lang_$strLang.inc");
include("../bin/config.txt");

// check post

if (!isset($_POST["submit"])) Exit;

include("../bin/qtf_class_db.inc");

// --------
// HTML START
// --------

echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">
<html dir=\"ltr\" xml:lang=\"en\">

<head>
<title>{$lang["Installation"]} $strAppl $strVers</title>
<meta http-equiv=\"content-type\" content=\"text/html; charset=iso-8859-1\" />
<link rel=\"stylesheet\" type=\"text/css\" href=\"../admin/qtf_main.css\" />
</head>\n";

echo "<body>

<!-- PAGE CONTROL -->
<div class=\"div_page\">
<table class=\"tab_page\" width=\"550\" cellspacing=\"0\" style=\"margin:5px\">
<tr class=\"tr_page\">
<td class=\"td_page\">
<!-- PAGE CONTROL -->
\n";

echo <<<END
<!-- HEADER BANNER -->
<div class="div_banner">
<div class="div_banner_in">
<img src="qtf_logo.gif" width="175" height="50" style="border-width:0" alt="QuickTalk" title="QuickTalk" />
</div>
</div>
<!-- END HEADER BANNER -->\n\n
END;

echo "<!-- BODY MAIN -->
<table width=\"100%\" cellspacing=\"0\" style=\"border:1px solid #AAAAAA\">
<tr class=\"tr_body\">
<td class=\"td_body\" style=\"padding:5px\">
<!-- BODY MAIN -->
\n";

echo "<h1>{$lang["Installation"]} $strAppl $strVers</h1><br />\n";
echo "<h2>{$lang["Step_3"]}</h2>\n";

$qtf_dbo_login = $_POST["qtf_dbo_login"];
$qtf_dbo_pswrd = $_POST["qtf_dbo_pswrd"];

If (trim($qtf_dbo_login) == "")
{
  $qtf_dbo_login = $qtf_user;
  $qtf_dbo_pswrd = $qtf_pwd;
}

define ("TABDOMAIN", $qtf_prefix."qtadomain");
define ("TABFORUM", $qtf_prefix."qtaforum");
define ("TABUSER", $qtf_prefix."qtauser");
define ("TABTOPIC", $qtf_prefix."qtatopic");
define ("TABPOST", $qtf_prefix."qtapost");
define ("TABSETTING", $qtf_prefix."qtasetting");

$oDB = new cDB($qtf_dbsystem,$qtf_host,$qtf_database,$qtf_user,$qtf_pwd,$qtf_port,$qtf_dsn);

// Install the tables

echo "a) {$lang["Installation"]} SETTING...<br />";
include("qtf_setup_setting.inc");
echo "{$lang["Done"]}, {$lang["Default_setting"]}<br />";

echo "b) {$lang["Installation"]} DOMAIN...<br />";
include("qtf_setup_domain.inc");
echo "{$lang["Done"]}, {$lang["Default_domain"]}<br />";

echo "c) {$lang["Installation"]} FORUM...<br />";
include("qtf_setup_forum.inc");
echo "{$lang["Done"]}, {$lang["Default_forum"]}<br />";

echo "d) {$lang["Installation"]} TOPIC...<br />";
include("qtf_setup_topic.inc");
echo "{$lang["Done"]}<br />";

echo "e) {$lang["Installation"]} POST...<br />";
include("qtf_setup_post.inc");
echo "{$lang["Done"]}<br />";

echo "f) {$lang["Installation"]} USER...<br />";
include("qtf_setup_user.inc");
echo "{$lang["Done"]}, {$lang["Default_user"]}<br />";
// End

if ($result==FALSE)
{
  printf ($lang["Step_3_error"],$table,$qtf_database,$qtf_dbo_login);
  echo "<table cellspacing=\"0\" class=\"tab_button\" style=\"width:200px;\"><tr>
  <td class=\"td_button\">&nbsp;<a href=\"qtf_setup.php\">{$lang["Restart"]}</a>&nbsp;</td>
  </tr></table>\n";
}
else
{
  if ( isset($_SESSION["qtf"]) ) unset($_SESSION["qtf"]);
  
  echo "<h2>{$lang["Step_3_ok"]}</h2><br />\n
  <div style=\"width:350px; padding:10px; border-style:solid; border-color:#FF0000 ;border-width:1px; background-color:#EEEEEE\">
  {$lang["end_message"]}<br />{$lang["User"]}: <b>Admin</b><br />{$lang["Password"]}: <b>Admin</b><br />\n</div><br />";
  include("qtf_end_$strLang.txt");
}

// save the url

$strURL = ( empty($_SERVER['SERVER_HTTPS']) ? "http://" : "https://" ).$_SERVER['SERVER_NAME'] . $_SERVER['REQUEST_URI'];
$strURL = substr($strURL,0,-24);
$oDB->Query("UPDATE ".TABSETTING." SET setting=\"$strURL\" WHERE param=\"site_url\"");

// --------
// HTML END
// --------

echo "<!-- END BODY MAIN -->
</td>
</tr>
</table>
<!-- END BODY MAIN -->\n\n";

echo "<div class=\"div_footer_copy\">\n";
echo "<span class=\"p_footer_copy\">powered by <a href=\"http://www.qt-cute.org\" class=\"a_footer_copy\">QT-cute</a></span>\n";
echo "</div>\n\n";

echo "<!-- END PAGE CONTROL -->
</td>
</tr>
</table>
</div>
<!-- END PAGE CONTROL -->

</body>

</html>";
?>
