<?php

// QuickTalk forum 1.2 build:20070219

if ($oDB->type=="mssql")
{
$strQ = "CREATE TABLE ".$qtf_prefix."qtapost (
  id int CONSTRAINT pk_qtapost PRIMARY KEY,
  forum int NOT NULL default 0,
  topic int NOT NULL default 0,
  icon char(2) NOT NULL default \"00\",
  title varchar(64) NULL,
  type char(1) NOT NULL default \"R\",
  userid int NOT NULL default 0,
  username varchar(24) NULL,
  issuedate datetime NULL,
  modifdate datetime NULL,
  modifuser int NULL,
  modifname varchar(24) NULL,
  textmsg text
)";
}
elseif ($oDB->type=="odbc")
{
$strQ = "CREATE TABLE ".$qtf_prefix."qtapost (
  id int CONSTRAINT pk_qtapost PRIMARY KEY,
  forum int,
  topic int,
  icon char(2),
  title varchar(64),
  type char(1),
  userid int,
  username varchar(24),
  issuedate datetime,
  modifdate datetime,
  modifuser int,
  modifname varchar(24),
  textmsg text
)";
}
elseif ($oDB->type=="ifx")
{
$strQ = "CREATE TABLE ".$qtf_prefix."qtapost (
  id integer PRIMARY KEY CONTSTRAINT pk_id,
  forum integer NOT NULL default 0,
  topic integer NOT NULL default 0,
  icon char(2) NOT NULL default \"00\",
  title varchar(64),
  type char(1) NOT NULL default \"R\",
  userid integer NOT NULL default 0,
  username varchar(24) NULL,
  issuedate datetime,
  modifdate datetime,
  modifuser integer,
  modifname varchar(24) NULL,
  textmsg text
)";
}
elseif ($oDB->type=="pg")
{
$strQ = "CREATE TABLE ".$qtf_prefix."qtapost (
  id int NOT NULL,
  forum int NOT NULL default 0,
  topic int NOT NULL default 0,
  icon char(2) NOT NULL default \"00\",
  title varchar(64) default NULL,
  type char(1) NOT NULL default \"R\",
  userid int NOT NULL default 0,
  username varchar(24) NULL default NULL,
  issuedate timestamp NULL default NULL,
  modifdate timestamp NULL default NULL,
  modifuser int NULL default NULL,
  modifname varchar(24) NULL default NULL,
  textmsg text,
  PRIMARY KEY (id)
)";
}
else
{
$strQ = "CREATE TABLE ".$qtf_prefix."qtapost (
  id int NOT NULL,
  forum int NOT NULL default 0,
  topic int NOT NULL default 0,
  icon char(2) NOT NULL default \"00\",
  title varchar(64) default NULL,
  type char(1) NOT NULL default \"R\",
  userid int NOT NULL default 0,
  username varchar(24) NULL default NULL,
  issuedate datetime NULL default NULL,
  modifdate datetime NULL default NULL,
  modifuser int NULL default NULL,
  modifname varchar(24) NULL default NULL,
  textmsg text,
  PRIMARY KEY (id)
)";
}

echo "<div style=\"margin-left:20px; color:blue;\">\n";
$oDB->Query($strQ);
echo "</div>\n";

if ( !empty($oDB->error) ) 
{
   printf ($lang["Step_3_error"],$qtf_prefix."qtapost",$qtf_database,$qtf_user);
   echo "<table cellspacing=\"0\" class=\"tab_button\" style=\"width:200px;\"><tr>
   <td class=\"td_button\">&nbsp;<a href=\"qtf_setup.php\">{$lang["Restart"]}</a>&nbsp;</td>
   </tr></table><br />\n";
   exit;
}


?>