<?php

// QuickTalk forum 1.2 build:20070219

if ($oDB->type=="odbc")
{
$strQ = "CREATE TABLE ".$qtf_prefix."qtatopic (
  id int CONSTRAINT pk_qtatopic PRIMARY KEY,
  numid int,
  forum int,
  type char(1),
  status char(1),
  firstpostid int,
  lastpostid int,
  firstpostuser int,
  lastpostuser int,
  firstpostname varchar(24),
  lastpostname varchar(24),
  firstpostdate datetime,
  lastpostdate datetime,
  replies int,
  views int
)";
}
elseif ($oDB->type=="mssql")
{
$strQ = "CREATE TABLE ".$qtf_prefix."qtatopic (
  id int CONSTRAINT pk_qtatopic PRIMARY KEY,
  numid int NOT NULL default 0,
  forum int NOT NULL default 0,
  type char(1) NOT NULL default \"T\",
  status char(1) NOT NULL default \"0\",
  firstpostid int NOT NULL default 0,
  lastpostid int NOT NULL default 0,
  firstpostuser int NOT NULL default 0,
  lastpostuser int NOT NULL default 0,
  firstpostname varchar(24) NULL default NULL,
  lastpostname varchar(24) NULL default NULL,
  firstpostdate datetime NULL default NULL,
  lastpostdate datetime NULL default NULL,
  replies int NOT NULL default 0,
  views int NOT NULL default 0
)";
}
elseif ($oDB->type=="pg")
{
$strQ = "CREATE TABLE ".$qtf_prefix."qtatopic (
  id int NOT NULL default 0,
  numid int NOT NULL default 0,
  forum int NOT NULL default 0,
  type char(1) NOT NULL default \"T\",
  status char(1) NOT NULL default \"0\",
  firstpostid int NOT NULL default 0,
  lastpostid int NOT NULL default 0,
  firstpostuser int NOT NULL default 0,
  lastpostuser int NOT NULL default 0,
  firstpostname varchar(24) NULL default NULL,
  lastpostname varchar(24) NULL default NULL,
  firstpostdate timestamp NULL default NULL,
  lastpostdate timestamp NULL default NULL,
  replies int NOT NULL default 0,
  views int NOT NULL default 0,
  PRIMARY KEY (id)
)";
}
elseif ($oDB->type=="ifx")
{
$strQ = "CREATE TABLE ".$qtf_prefix."qtatopic (
  id integer PRIMARY KEY CONTSTRAINT pk_id,
  numid integer NOT NULL default 0,
  forum integer NOT NULL default 0,
  type char(1) NOT NULL default \"T\",
  status char(1) NOT NULL default \"0\",
  firstpostid integer NOT NULL default 0,
  lastpostid integer NOT NULL default 0,
  firstpostuser integer NOT NULL default 0,
  lastpostuser integer NOT NULL default 0,
  firstpostname varchar(24),
  lastpostname varchar(24),
  firstpostdate datetime,
  lastpostdate datetime,
  replies integer NOT NULL default 0,
  views integer NOT NULL default 0
)";
}
else
{
$strQ = "CREATE TABLE ".$qtf_prefix."qtatopic (
  id int NOT NULL default 0,
  numid int NOT NULL default 0,
  forum int NOT NULL default 0,
  type char(1) NOT NULL default \"T\",
  status char(1) NOT NULL default \"0\",
  firstpostid int NOT NULL default 0,
  lastpostid int NOT NULL default 0,
  firstpostuser int NOT NULL default 0,
  lastpostuser int NOT NULL default 0,
  firstpostname varchar(24) NULL,
  lastpostname varchar(24) NULL,
  firstpostdate datetime NULL,
  lastpostdate datetime NULL,
  replies int NOT NULL default 0,
  views int NOT NULL default 0,
  PRIMARY KEY (id)
)";
}

echo "<div style=\"margin-left:20px; color:blue;\">\n";
$oDB->Query($strQ);
echo "</div>\n";

if ( !empty($oDB->error) ) 
{
   printf ($lang["Step_3_error"],$qtf_prefix."qtatopic",$qtf_database,$qtf_user);
   echo "<table cellspacing=\"0\" class=\"tab_button\" style=\"width:200px;\"><tr>
   <td class=\"td_button\">&nbsp;<a href=\"qtf_setup.php\">{$lang["Restart"]}</a>&nbsp;</td>
   </tr></table><br />\n";
   exit;
}


?>