<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( $oVIP->role!="A" ) die($lang["R_admin"]);

// INITIALISE

include("$strLang/qtf_adm.inc");

$intId = -1;
if ( isset($_GET["d"]) ) $intId = $_GET["d"];

$oVIP->selfurl = "qtf_adm_forum_upd_dom.php";
$oVIP->selfname = $lang["Adm_domain_update"];
$oVIP->exiturl = "qtf_adm_forum.php";
$oVIP->exitname = $lang["Adm_forums"];

// --------
// SUBMITTED
// --------

if ( isset($_POST["FFsubmit"]) )
{
  if ( isset($_POST["FFid"]) ) $intId = $_POST["FFid"];
  if ( $intId<0 ) die("Missing argument d");

  $str = trim($_POST["FFtitle"]); if ( get_magic_quotes_gpc() ) $str = stripslashes($str);
  $str = htmlspecialchars($str);
  if ( $str=="" ) $strError = $lang["Title"]." ".$lang["E_invalid"];

  // save
  if ( empty($strError) )
  {
    $oDB->Query("UPDATE ".TABDOMAIN." SET title=\"$str\" WHERE id=$intId");
    Unset($_SESSION["qtGotolist"]);
    // exit
    $oVIP->EndMessage(NULL,$lang["S_update"],"admin",2);
  }
}

// --------
// HTML START
// --------

$bJavaCom=true;
include("qtf_adm_p_header.inc");
include("qtf_adm_p_title.inc");

if ( $intId<0 ) die("Missing argument d");

$oDB->Query("SELECT title FROM ".TABDOMAIN." WHERE id=$intId");
$row = $oDB->Getrow();

// FORM

echo "<form method=\"post\" action=\"$oVIP->selfurl\" onsubmit=\"return validatetitle(this,64,'{$lang["E_mandatory"]}');\">\n";
echo "<input type=\"hidden\" name=\"FFid\" value=\"$intId\" />\n";

echo "<table class=\"tab_cnt\" width=\"500\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\" style=\"width:100px;\"><label for=\"FFtitle\">{$lang["Title"]}</label></th>\n";
echo "\t<td class=\"td_cnt\"><input type=\"text\" id=\"FFtitle\" name=\"FFtitle\" size=\"32\" maxlength=\"64\" value=\"{$row["title"]}\" /></td>\n";
echo "</tr>\n";
echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\">&nbsp;</th>\n";
echo "\t<td class=\"td_cnt\"><input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Save"]}\" /></td>\n";
echo "</tr>\n";
echo "</table>\n";

echo "</form>\n";
echo "<br />&laquo;&nbsp;<a href=\"$oVIP->exiturl\">{$lang["Adm_forums"]}</a><br />\n";

// HTML END

include("qtf_adm_p_footer.inc");

?>