<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( $oVIP->role!="A" ) die($lang["R_admin"]);

// INITIALISE

include("bin/qtf_fn_smtp.inc");

$oVIP->selfurl = "qtf_adm_smtp.php";
$oVIP->selfname = "SMTP test";

if ( isset($_GET["h"]) ) $_SESSION["qtf"]["smtp_host"] = $_GET["h"];
if ( isset($_GET["u"]) ) $_SESSION["qtf"]["smtp_username"] = $_GET["u"];
if ( isset($_GET["p"]) ) $_SESSION["qtf"]["smtp_password"] = $_GET["p"];

// --------
// SUBMITTED
// --------

if ( isset($_POST["FFsubmit"]) )
{
  // register value used
  $_SESSION["qtf"]["smtp_host"] = $_POST["FFsmtphost"];
  $_SESSION["qtf"]["smtp_username"] = $_POST["FFsmtpusr"];
  $_SESSION["qtf"]["smtp_password"] = $_POST["FFsmtppwd"];
  if ( !is_mail($_POST["mailto"]) ) die($lang["Email"]." ".$lang["E_invalid"]);

  // send mail
  smtpmail($_POST["mailto"],$_POST["subject"],$_POST["message"],"From:".$_SESSION["qtf"]["admin_email"]);

  // exit
  $oVIP->exiturl = "qtf_adm_smtp.php";
  $oVIP->exitname = "SMTP test";
  $oVIP->EndMessage(NULL,"Process completed...<br /><br />If you have changed the smtp settings during the test, go to the Administration page and SAVE your new settings!","admin",0);
}

// --------
// HTML START
// --------

include("qtf_adm_p_header.inc");
include("qtf_adm_p_title.inc");

// CONTENT

echo "<br />
<form method=\"post\" action=\"{$oVIP->selfurl}\">
<table class=\"tab_cnt\" cellspacing=\"0\">
<tr class=\"tr_cnt\">
\t<th class=\"th_cnt_head\" style=\"width:200px;\">SMTP Settings</th>
\t<td class=\"td_cnt\" style=\"width:200px;\">&nbsp;</td>
\t<td class=\"td_cnt\">&nbsp;</td>
</tr>
<tr class=\"tr_cnt\">
\t<th class=\"th_cnt\"><label for=\"FFsmtphost\">Smtp host</label></th>
\t<td class=\"td_cnt\"><input type=\"text\" id=\"FFsmtphost\" name=\"FFsmtphost\" size=\"30\" maxlength=\"64\" value=\"{$_SESSION["qtf"]["smtp_host"]}\" /></td>
\t<td class=\"td_cnt\">&nbsp;</td>
</tr>
<tr class=\"tr_cnt\">
\t<th class=\"th_cnt\"><label for=\"FFsmtpusr\">Smtp username</label></th>
\t<td class=\"td_cnt\"><input type=\"text\" id=\"FFsmtpusr\" name=\"FFsmtpusr\" size=\"30\" maxlength=\"64\" value=\"{$_SESSION["qtf"]["smtp_username"]}\" /></td>
\t<td class=\"td_cnt\">&nbsp;</td>
</tr>
<tr class=\"tr_cnt\">
\t<th class=\"th_cnt\"><label for=\"FFsmtppwd\">Smtp password</label></th>
\t<td class=\"td_cnt\"><input type=\"text\" id=\"FFsmtppwd\" name=\"FFsmtppwd\" size=\"30\" maxlength=\"64\" value=\"{$_SESSION["qtf"]["smtp_password"]}\" /></td>
\t<td class=\"td_cnt\">&nbsp;</td>
</tr>
<tr class=\"tr_cnt\">
\t<th class=\"th_cnt_head\">{$lang["Email"]}</th>
\t<td class=\"td_cnt\">&nbsp;</td>
\t<td class=\"td_cnt\">&nbsp;</td>
</tr>
<tr class=\"tr_cnt\">
\t<th class=\"th_cnt\"><label for=\"mailto\">SEND TO</label></th>
\t<td class=\"td_cnt\"><input type=\"text\" id=\"mailto\" name=\"mailto\" size=\"30\" maxlength=\"64\" value=\"\" /></td>
\t<td class=\"td_cnt\">&nbsp;</td>
</tr>
<tr class=\"tr_cnt\">
\t<th class=\"th_cnt\"><label for=\"subject\">Subject</label></th>
\t<td class=\"td_cnt\"><input type=\"text\" id=\"subject\" name=\"subject\" size=\"30\" maxlength=\"64\" value=\"Test smtp\" /></td>
\t<td class=\"td_cnt\">&nbsp;</td>
</tr>
<tr class=\"tr_cnt\">
\t<th class=\"th_cnt\"><label for=\"message\">Message</label></th>
\t<td class=\"td_cnt\"><input type=\"text\" id=\"message\" name=\"message\" size=\"30\" maxlength=\"64\" value=\"Test mail send by smtp server\" /></td>
\t<td class=\"td_cnt\">&nbsp;</td>
</tr>
<tr class=\"tr_cnt\">
\t<th class=\"th_cnt\">&nbsp;</th>
\t<td class=\"td_cnt\"><input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Send"]}\" /></td>
\t<td class=\"td_cnt\">&nbsp;</td>
</tr>
</table>
</form>
<br />\n";

// HTML END

include("qtf_adm_p_footer.inc");

?>