<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( $oVIP->role!="A" ) die($lang["R_admin"]);

// INITIALISE

include(Translate($strLang,"qtf_adm.inc"));

$oForum = new cForum;

$days = 10;
if ( isset($_GET["d"]) ) $days = $_GET["d"];

$oVIP->selfurl = "qtf_adm_topic_move.php";
$oVIP->selfname = $lang["Adm_topics_move"];
$oVIP->exiturl = "qtf_adm_topic.php?d=$days";
$oVIP->exitname = $lang["Adm_topics"];

// --------
// SUBMITTED
// --------

if ( isset($_POST["FFsubmit"]) )
{
  $oForum->MoveContent($oDB,$_POST["FFid"],$_POST["FFdestination"],$_POST["FFref"]);
  // exit
  $oVIP->exiturl = "qtf_adm_topic.php?d=$days";
  $oVIP->exitname = $lang["Adm_topics"];
  $oVIP->EndMessage(NULL,$lang["S_update"],"admin",2);
}

// --------
// HTML START
// --------

include("qtf_adm_p_header.inc");
include("qtf_adm_p_title.inc");

$oForum->Get($oDB,$_GET["f"]);
$arrForums = GetForums($oDB,"-",true,true,$oForum->id);

// FORM

echo "<form method=\"post\" action=\"{$oVIP->selfurl}\">\n";
echo "<table class=\"tab_cnt\" cellspacing=\"0\">\n";

echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\" style=\"width:150px;\">{$lang["Forum"]}</th>\n";
echo "\t<td class=\"td_cnt\">{$oForum->title}</td>\n";
echo "</tr>\n";

echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\">{$lang["Containing"]}</th>\n";
echo "\t<td class=\"td_cnt\">{$oForum->topics} ".LangS("Topic",$oForum->topics,$lang).", {$oForum->replies} ".LangS("Reply",$oForum->replies,$lang)."</td>\n";
echo "</tr>\n";

echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\">{$lang["Move_to"]}</th>\n";
echo "\t<td class=\"td_cnt\"><select name=\"FFdestination\" size=\"1\">\n";
foreach ($arrForums as $intKey => $intValue)
{
echo "\t<option value=\"$intKey\">$intValue</option>\n";
}
echo "\t</select></td>\n";
echo "</tr>\n";

echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\">{$lang["Ref"]}</th>\n";
echo "\t<td class=\"td_cnt\"><select name=\"FFref\" size=\"1\">\n";
echo "\t<option value=\"1\">{$lang["Move_keep"]}</option>\n";
echo "\t<option value=\"0\">{$lang["Move_reset"]}</option>\n";
echo "\t<option value=\"2\">{$lang["Move_follow"]}</option>\n";
echo "\t</select></td>\n";
echo "</tr>\n";

echo "<tr class=\"tr_cnt\">\n";
echo "\t<th class=\"th_cnt\">&nbsp;</th>\n";
echo "\t<td class=\"td_cnt\"><input type=\"hidden\" name=\"FFid\" value=\"{$_GET["f"]}\" /><input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Move"]}\" /></td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "</form>\n";
echo "<br />\n";
echo "&laquo;&nbsp;<a href=\"{$oVIP->exiturl}\">{$lang["Adm_topics"]}</a><br />\n";

// HTML END

include("qtf_adm_p_footer.inc");

?>