<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( !$oVIP->CanAccess("A",0,true) ) die($lang["R_admin"]);

// INITIALISE

include("$strLang/qtf_register.inc");

$intId = -1;
if ( isset($_GET["id"]) ) $intId = $_GET["id"];

$oVIP->selfurl = "qtf_adm_usr_ban.php";
$oVIP->selfname = $lang["Ban_user"];
$oVIP->exiturl = "qtf_usr.php?id=$intId";
$oVIP->exitname = $lang["Profile"];

// --------
// SUBMITTED
// --------

if ( isset($_POST["FFsubmit"]) )
{
  $oDB->Query("UPDATE ".TABUSER." SET closed=\"{$_POST["FFban"]}\" WHERE id={$_POST["FFid"]}");

  // exit
  $oVIP->exiturl = "qtf_usr.php?id=".$_POST["FFid"];
  $oVIP->EndMessage(NULL,$lang["S_update"],$strSkin,2);
}

// --------
// HTML START
// --------

include("qtf_adm_p_header.inc");
include("qtf_adm_p_title.inc");

// CONTENT

// user 0 and 1 cannot be deleted
if ( $intId<2 ) die("Wrong parameters");

$oDB->Query("SELECT closed, name, avatar FROM ".TABUSER." WHERE id=$intId");
$row = $oDB->Getrow();

echo "<br />\n";
echo "<table class=\"tab_hidden\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_hidden\">\n";
echo "\t<td class=\"td_hidden\" style=\"width:175px;\">".GetAvatar($intId,$row["avatar"],false,"div_avatar_box",$row["name"],$lang["Avatar"])."</td>\n";
echo "\t<td class=\"td_hidden\">\n";

echo "\t\t<div class=\"div_msgboxtitle\" style=\"width: 350px;\">{$row["name"]}</div>\n";
echo "\t\t<div class=\"div_msgbox\" style=\"width: 350px;\">\n";
echo "\t\t<form method=\"post\" action=\"$oVIP->selfurl\">\n";
echo "\t\t<p style=\"text-align:right\">{$lang["H_ban"]}\n";
echo "\t\t<select name=\"FFban\" size=\"1\" />\n";
echo "\t\t<option value=\"0\" ".($row["closed"]=="0" ? QSEL : "").">{$lang["No"]}</option>\n";
echo "\t\t<option value=\"5\" ".($row["closed"]=="5" ? QSEL : "").">5 {$lang["Days"]}</option>\n";
echo "\t\t<option value=\"15\" ".($row["closed"]=="15" ? QSEL : "").">15 {$lang["Days"]}</option>\n";
echo "\t\t</select>&nbsp;\n";
echo "\t\t<input type=\"hidden\" name=\"FFid\" value=\"$intId\" />\n";
echo "\t\t<input type=\"hidden\" name=\"FFname\" value=\"{$row["name"]}\" />\n";
echo "\t\t<input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Save"]}\" /></p>\n";
echo "\t\t</form>\n";
echo "\t\t&laquo;&nbsp;<a href=\"$oVIP->exiturl\">$oVIP->exitname</a>\n";
echo "\t\t</div>\n";

echo "\t</td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "<br />\n";

// HTML END

include("qtf_adm_p_footer.inc");

?>