<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
include(Translate($strLang,"qtf_coppa.inc"));

// INTIALISE

$oDB->Query("SELECT setting FROM ".TABSETTING." WHERE param=\"admin_fax\"");
$row = $oDB->Getrow();
$strFax = $row["setting"];
$oDB->Query("SELECT setting FROM ".TABSETTING." WHERE param=\"admin_name\"");
$row = $oDB->Getrow();
$strName = $row["setting"];
$oDB->Query("SELECT setting FROM ".TABSETTING." WHERE param=\"admin_addr\"");
$row = $oDB->Getrow();
$strAddr = $row["setting"];

// --------
// HTML START
// --------

include("qtf_adm_p_header.inc");

echo <<<END
<h2>{$lang["Register"]} / {$lang["Coppa_form"]}</h2>
<p>{$lang["Coppa"]["Form_info"]}<br />$strFax<br />$strName<br />$strAddr</p>
<table class="tab_hidden">
<colgroup span="5">
<col width="300"></col>
<col width="30"></col>
<col width="170"></col>
<col width="30"></col>
<col width="170"></col>
</colgroup>
<tr>
<td class="td_hidden"><b>{$lang["Coppa"]["Permission"]}</b></td>
<td style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
<td style="padding: 4px;border-style: solid;border-width: 0px; border-color: black">{$lang["Yes"]}</td>
<td style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
<td style="padding: 4px;border-style: solid;border-width: 0px; border-color: black">{$lang["No"]}</td>
</tr>
<tr>
<td class="td_hidden">{$lang["Coppa"]["Child_name"]}</td>
<td colspan="4" style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
</tr>
<tr>
<td class="td_hidden">{$lang["Coppa"]["Child_login"]}</td>
<td colspan="4" style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
</tr>
<tr>
<td class="td_hidden">{$lang["Coppa"]["Child_email"]}</td>
<td colspan="4" style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
</tr>
<tr>
<td class="td_hidden">{$lang["Coppa"]["Child_privacy"]}</td>
<td style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
<td style="padding: 4px;border-style: solid;border-width: 0px; border-color: black">{$lang["Coppa"]["Members"]}</td>
<td style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
<td style="padding: 4px;border-style: solid;border-width: 0px; border-color: black">{$lang["Coppa"]["Nobody"]}</td>
</tr>
</table>
<p>{$lang["Coppa"]["Agreement"]}</p>
<table class="tab_hidden">
<colgroup span="2">
<col width="300"></col>
<col width="400"></col>
</colgroup>
<tr>
<td class="td_hidden">{$lang["Coppa"]["Parent_name"]}</td>
<td style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
</tr>
<tr>
<td class="td_hidden">{$lang["Coppa"]["Parent_relation"]}</td>
<td style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
</tr>
<tr>
<td class="td_hidden">{$lang["Coppa"]["Parent_email"]}</td>
<td style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
</tr>
<tr>
<td class="td_hidden">{$lang["Coppa"]["Parent_phone"]}</td>
<td style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
</tr>
<tr>
<td class="td_hidden"><br /><br />{$lang["Coppa"]["Parent_sign"]}</td>
<td style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
</tr>
</table>

<p>{$lang["Coppa"]["End"]}</p>\n
END;

// HTML END

include("qtf_adm_p_footer.inc");

?>