<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( !$oVIP->CanAccess("MUV",3,true) ) $oVIP->EndMessage("!",$lang["R_member"],$strSkin,0);

  // ----------
  // module note
  if ( isset($_SESSION["qtf"]["m_note"]) )
  {
  if ( $_SESSION["qtf"]["m_note"]=="1" ) include("qtf_note.inc");
  }
  // ----------

// ------------
// SUBMITTED
// ------------

if (isset($_POST["FFmoderator"]))
{
  $oVIP->exiturl  = "qtf_ind_topic.php?f={$_POST["FFforum"]}";
  $oVIP->exitname = $lang["Forum"];
  
  if ( substr($_POST["FFaction"],0,7)=="status_" )
  {
    $oTopic = new cTopic;
    $oTopic->SetStatus($oDB,$_POST["FFtopic"],substr($_POST["FFaction"],-1,1));
    // exit
    $oVIP->selfname = "{$lang["Change"]} {$lang["Status"]}";
    $oVIP->EndMessage(NULL,$lang["S_update"],$strSkin);
  }
  if ( substr($_POST["FFaction"],0,5)=="type_" )
  {
    $oTopic = new cTopic;
    $oTopic->SetType($oDB,$_POST["FFtopic"],substr($_POST["FFaction"],-1,1));
    // exit
    $oVIP->selfname = "{$lang["Change"]} {$lang["Topic"]}";
    $oVIP->EndMessage(NULL,$lang["S_update"],$strSkin);
  }  
  if ($_POST["FFaction"]=="reply")
  {
    echo "<a href=\"qtf_form_edit.php?f={$_POST["FFforum"]}&amp;t={$_POST["FFtopic"]}&amp;a=re\">{$lang["Post_reply"]}</a><meta http-equiv=\"REFRESH\" content=\"0;url=qtf_form_edit.php?f={$_POST["FFforum"]}&amp;t={$_POST["FFtopic"]}&amp;a=re\">";
    exit;
  }
  if ($_POST["FFaction"]=="move")
  {
    echo "<a href=\"qtf_topic_move.php?f={$_POST["FFforum"]}&amp;t={$_POST["FFtopic"]}\">{$lang["Move"]}</a><meta http-equiv=\"REFRESH\" content=\"0;url=qtf_topic_move.php?f={$_POST["FFforum"]}&amp;t={$_POST["FFtopic"]}\">";
    exit;
  }
  if ($_POST["FFaction"]=="delete")
  {
    echo "<a href=\"qtf_topic_delete.php?f={$_POST["FFforum"]}&amp;t={$_POST["FFtopic"]}\">{$lang["Delete"]}</a><meta http-equiv=\"REFRESH\" content=\"0;url=qtf_topic_delete.php?f={$_POST["FFforum"]}&amp;t={$_POST["FFtopic"]}\">";
    exit;
  }
  
  // special action (to much types
  if ( $_POST["FFaction"]=="status*" )
  {
    $str = "<span class=\"p_button\">";
    $str .= "{$lang["Topic"]}&nbsp;<form method=\"post\" action=\"qtf_ind_post.php\">";
    $str .= "<input type=\"hidden\" name=\"FFforum\" value=\"{$_POST["FFforum"]}\" />";
    $str .= "<input type=\"hidden\" name=\"FFtopic\" value=\"{$_POST["FFtopic"]}\" />";
    $str .= "<input type=\"hidden\" name=\"FFref\" value=\"{$_POST["FFref"]}\" />";
    $str .= "<select name=\"FFaction\" class=\"small\">";
    foreach ($_SESSION["qtTopicstatus"] as $strId => $arrDef)
    {
    $str .= "<option value=\"status_$strId\">{$lang["Status"]}: {$arrDef["name"]}</option>";
    }
    $str .= "</select>&nbsp;<input type=\"submit\" name=\"FFmoderator\" value=\"&raquo;\" />";
    $str .= "</form>";
    $str .= "</span>";
    // exit
    $oVIP->selfname = "{$lang["Change"]} {$lang["Status"]}";
    $oVIP->EndMessage(NULL,$str,$strSkin);
  }
  if ( $_POST["FFaction"]=="type*" )
  {
    $str = "<span class=\"p_button\">";
    $str .= "{$lang["Type"]}&nbsp;<form method=\"post\" action=\"qtf_ind_post.php\">";
    $str .= "<input type=\"hidden\" name=\"FFforum\" value=\"{$_POST["FFforum"]}\" />";
    $str .= "<input type=\"hidden\" name=\"FFtopic\" value=\"{$_POST["FFtopic"]}\" />";
    $str .= "<input type=\"hidden\" name=\"FFref\" value=\"{$_POST["FFref"]}\" />";
    $str .= "<select name=\"FFaction\" class=\"small\">";
    foreach ($_SESSION["qtTopictypes"] as $strId => $arrDef)
    {
    $str .= "<option value=\"status_$strId\">{$lang["Type"]}: {$arrDef["name"]}</option>";
    }
    $str .= "</select>&nbsp;<input type=\"submit\" name=\"FFmoderator\" value=\"&raquo;\" />";
    $str .= "</form>";
    $str .= "</span>";
    // exit
    $oVIP->selfname = "{$lang["Change"]} {$lang["Type"]}";
    $oVIP->EndMessage(NULL,$str,$strSkin);
  }  
}

// INITIALISE

if (!isset($_GET["f"])) die("Missing forum id...");
if (!isset($_GET["t"])) die("Missing topic id...");

include("bin/qtf_fn_limitsql.inc");

$oForum = new cForum;
$oForum->Get($oDB,$_GET["f"]);

  if ( $oForum->type=="1" && ($oVIP->role=="V" || $oVIP->role=="U") )
  {
  // exit
  $oVIP->selfname = $lang["Forum"];
  $oVIP->exitname = $_SESSION["qtf"]["forum_index_name"];
  $oVIP->EndMessage(NULL,$lang["R_moderator"],$strSkin,0);
  }
  if ( $oForum->type=="2" && $oVIP->role=="V" )
  {
  // exit
  $oVIP->selfname = $lang["Forum"];
  $oVIP->exitname = $_SESSION["qtf"]["forum_index_name"];
  $oVIP->EndMessage(NULL,$lang["R_member"],$strSkin,0);
  }

$oTopic = new cTopic;
$oTopic->Get($oDB,$_GET["t"],$oVIP->id); //provide userid to update stats

  if ( $oForum->type=="2" && $oVIP->role=="U" && $oTopic->firstpostuser != $oVIP->id )
  {
  // exit
  $oVIP->selfname = $lang["Forum"];
  $oVIP->exitname = $_SESSION["qtf"]["forum_index_name"];
  $oVIP->EndMessage(NULL,$lang["E_topic_private"]."<br />".$lang["R_member"],$strSkin,0);
  }

$oPost  = new cPost;

$strCommand= "";
$byuser   = "";
$limit    = 0;
$PAGEcurr  = 1;
if (isset($_GET["page"])) { $limit = ($_GET["page"]-1)*$_SESSION["qtf"]["replies_per_page"]; $PAGEcurr=$_GET["page"]; }
if (isset($_GET["view"])) { $_SESSION["qtf"]["viewmode"] = $_GET["view"]; }

$oVIP->selfurl = "qtf_ind_post.php";
$oVIP->exiturl = "qtf_ind_topic.php?f={$_GET["f"]}";
$oVIP->selfname = $lang["Messages"];

// --------
// HTML START
// --------

$bJavaCom=true;
if ( $_SESSION["qtf"]["show_quick_reply"]>"0" && $_SESSION["qtf"]["bbc"]>"0" ) $bJavaBbc=true;

include("qtf_p_header.inc");

// CHECK IF FORUM BY USER

if (($oForum->type=="2") && ($oVIP->role!="M") && ( $oVIP->role!="A" )) $byuser = "AND p.userid={$oVIP->id}";

// COUNT RECORDS

$oDB->Query("SELECT count(p.id) as countid FROM ".TABPOST." p WHERE p.forum={$oForum->id} AND p.topic={$oTopic->id} $byuser");
$row = $oDB->Getrow();
$count = $row["countid"];

// PAGER

$pager = MakePager("index_post.php?f={$oForum->id}&amp;t={$oTopic->id}",$count,$_SESSION["qtf"]["topics_per_page"],$PAGEcurr,$lang);
if ($pager!="") $pager = $lang["Page"].$pager;

// BUTTONS

if ( $oForum->status=="1" )
{
  $strCommand = "\t<td class=\"td_button\" style=\"width:120px\"><span class=\"a_button_off\">&nbsp;".$lang["E_forum_closed"]."&nbsp;</span></td>\n";
}
else
{
  $strCommand = "\t<td class=\"td_button\" style=\"width:120px\">&nbsp;<a class=\"a_button\" href=\"qtf_form_edit.php?f={$oForum->id}&amp;t={$oTopic->id}&amp;a=re\">{$lang["Post_reply"]}</a>&nbsp;</td>\n";
  if ( $oTopic->status=="1" ) $strCommand = "\t<td class=\"td_button\" style=\"width:120px\"><span class=\"a_button_off\">&nbsp;".$lang["Topic_closed"]."&nbsp;</span></td>\n";

  if ( ($oVIP->role=="V") && ($_SESSION["qtf"]["visitor_right"]<6) )
  {
  $strCommand = "\t<td class=\"td_button\" style=\"width:120px\"><span class=\"a_button_off\">&nbsp;{$lang["Post_reply"]}&nbsp;</span></td>\n";
  }
}

$strCommand = $oVIP->BackButton().$strCommand."\t<td class=\"td_hidden\">".$oTopic->GetModeratorActions($oVIP->role,$lang,true)."</td>\n\t<td style=\"text-align:right\">$pager</td>\n";

// -- Displays Button line and pager --

echo "<!-- Button and pager -->\n";
echo "<table class=\"tab_button\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_button\">\n".$strCommand."</tr>\n";
echo "</table>\n";
echo "<!-- End button and pager -->\n\n";

// CONTENT

// stop if no post (or user not creator)

if ( $count==0 )
{
  echo "<br />{$lang["None"]}... {$lang["E_topic_private"]}<br /><br />\n";
  include("qtf_p_footer.inc");
  exit;
}

/*  oooooooooo  */
    $state = "p.*, u.role, u.location, u.avatar, u.signature
    FROM ".TABPOST." p, ".TABUSER." u WHERE p.userid = u.id AND p.topic={$oTopic->id} $byuser";
    $query = LimitSQL($oDB->type,$state,"p.id ASC",$limit,$_SESSION["qtf"]["replies_per_page"],$count);
    $oDB->Query($query);
/*  oooooooooo  */
    $iMsgNum = $limit;
    $iMsgAdd = 1;
    $while   = 0;
    $strAlt  = "1";
    $strSep  = ""; if ( $_SESSION["qtf"]["viewmode"]=="N" ) $strSep = "<br />\n";
    $bButton = true;
    $bAvatar = true;
/*  oooooooooo  */
    include("qtf_ind_post.inc");
/*  oooooooooo  */

// BUTTON LINE AND PAGER
if ( $count>1 )
{
echo "<!-- Button and pager -->\n";
echo "<table class=\"tab_button\" cellspacing=\"0\">\n";
echo "<tr class=\"tr_button\">\n";
echo $strCommand;
echo "</tr>\n";
echo "</table>\n";
echo "<!-- End button and pager -->\n\n";
}

// QUICK REPLY

if ( $_SESSION["qtf"]["show_quick_reply"]=="1" )
{
  if ( !$oForum->status && !$oTopic->status )
  {
    if ( $oVIP->role=="V" && $_SESSION["qtf"]["visitor_right"]<7 )
    {
    }
    else
    {
    echo "<!-- Quick reply -->\n";
    echo "<fieldset class=\"fs_quickreply\">\n";
    $intMax = $_SESSION["qtf"]["chars_per_post"]*1000;
    echo "<form method=\"post\" action=\"qtf_form_edit.php\"  onsubmit=\"return validatepost(this,0,$intMax,'{$lang["E_mandatory"]}');\">\n";
    echo "<input type=\"hidden\" name=\"FFforum\" value=\"{$oForum->id}\" />\n";
    echo "<input type=\"hidden\" name=\"FFtopic\" value=\"{$oTopic->id}\" />\n";
    echo "<input type=\"hidden\" name=\"FFaction\" value=\"re\" />\n";
    echo "<input type=\"hidden\" name=\"FFref\" value=\"{$oTopic->numid}\" />\n";
    echo "<input type=\"hidden\" name=\"FFicon\" value=\"00\" />\n";
    echo "<input type=\"hidden\" name=\"FFtitle\" value=\"\" />\n";
    echo "{$lang["Quick_reply"]}&nbsp;&nbsp;\n";
    if ( $_SESSION["qtf"]["bbc"]!="0" )
    {
    $bJavaBbc=true;
    include("qtf_form_button.inc");
    }
    echo "&nbsp;&nbsp;<input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Advanced_reply"]}\" class=\"small\" /><br />\n";
    echo "<a href=\"textarea\"></a>";
    echo "<textarea name=\"FFtext\" rows=\"5\" wrap=\"virtual\" cols=\"85\"></textarea>";
    echo "&nbsp;<input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Send"]}\"/>\n";
    echo "</form>\n";
    echo "</fieldset>\n";
    echo "<!-- End Quick reply -->\n\n";
    }
  }
}

// HTML END

include("qtf_p_footer.inc");

?>