<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");

// INITIALISE

$oVIP->selfurl = "qtf_privacy.php";
$oVIP->selfname = $lang["Privacy"];

// --------
// HTML START
// --------

include("qtf_p_header.inc");

// --------
// CONTENT
// --------

echo "<br />\n";
echo "<div class=\"div_msgboxtitle\" style=\"width: 620px;\">$oVIP->selfname</div>\n";
echo "<div class=\"div_msgbox\" style=\"width: 620px;\">\n";

$strFile = "$strLang/sys_forum_rules.txt";
if (file_exists($strFile)) { include($strFile); } else { echo "Missing file:<br />$strFile"; }

// check if coppa
$oDB->Query("SELECT setting FROM ".TABSETTING." WHERE param=\"register_coppa\"");
$row = $oDB->Getrow();
if ($row["setting"]=="1")
{
$strFile = "$strLang/sys_forum_rules_coppa.txt";
if (file_exists($strFile)) { include ($strFile); } else { echo "Missing file:<br />$strFile"; }
}

echo "</div>
<br />\n";

// HTML END

include("qtf_p_footer.inc");

?>