<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( !$oVIP->CanAccess("MUV",7) ) die($lang["R_member"]);

// INITIALISE

$FFid    = -1;
$FFforum = -1;

$oVIP->selfurl = "qtf_topic_delete.php";
$oVIP->selfname = $lang["Delete"]." ".$lang["Topic"];

// --------
// SUBMITTED
// --------

if ( isset($_POST["FFsubmit"]) )
{
  $oDB->Query("DELETE FROM ".TABPOST." WHERE topic=".$_POST["FFid"]);
  $oDB->Query("DELETE FROM ".TABTOPIC." WHERE id=".$_POST["FFid"]);

  $oForum = new cForum;
  $oForum->UpdateStats($oDB,$_POST["FFforum"]);

  Unset($_SESSION["qtf"]["sys_topics"]);
  Unset($_SESSION["qtf"]["sys_messages"]);

  // exit
  $oVIP->exiturl = "qtf_ind_topic.php?f={$_POST["FFforum"]}";
  $oVIP->exitname = $lang["Forum"];
  $oVIP->EndMessage(NULL,$lang["S_delete"],$strSkin,2);
}

// --------
// HTML START
// --------

if ( isset($_GET["t"]) ) $FFid    = intval($_GET["t"]);
if ( isset($_GET["f"]) ) $FFforum = intval($_GET["f"]);

if ( $FFid<0 )    die("Wrong parameters id");
if ( $FFforum<0 ) die("Wrong parameters forum");

$oForum = new cForum;
$oForum->Get($oDB,$FFforum);

$oTopic = new cTopic;
$oTopic->Get($oDB,$FFid);

$oPost = new cPost;
$oPost->Get($oDB,$oTopic->firstpostid);

include("qtf_p_header.inc");

echo "<h2>{$oVIP->selfname}</h2><br />";
echo "<table cellspacing=\"0\" class=\"tab_cnt\">\n";
echo "<tr>\n";
echo "\t<th class=\"th_form\" style=\"width:150px\">{$lang["Title"]}<br /></th>\n";
echo "\t<td class=\"td_form\">$oPost->title</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "\t<th class=\"th_form\">{$lang["Topic_starter"]}</th>\n";
echo "\t<td class=\"td_form\">$oTopic->firstpostname <span class=\"small\">(".FormatDate($oTopic->firstpostdate,$lang).")</span></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "\t<th class=\"th_form\">{$lang["Replys"]}</th>\n";
echo "\t<td class=\"td_form\">";
if ( $oTopic->replies==0 )
{
echo $lang["None"];
}
else
{
echo "$oTopic->replies <span class=\"small\">({$lang["Last_message"]} ".FormatDate($oTopic->lastpostdate,$lang).")</span>";
}
echo "</td>\n</tr>\n";
echo "<tr>\n";
echo "\t<th class=\"th_form\">&nbsp;<br /></th>\n";
echo "\t<td class=\"td_form\">\n";
echo "\t<form method=\"post\" action=\"$oVIP->selfurl\">\n";
echo "\t<input type=\"hidden\" name=\"FFforum\" value=\"$FFforum\" />\n";
echo "\t<input type=\"hidden\" name=\"FFid\" value=\"$FFid\" />\n";
echo "\t<input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Delete"]}\" />\n";
echo "\t</form>\n";
echo "\t</td>\n";
echo "</tr>\n";
echo "</table><br />";

// HTML END

include("qtf_p_footer.inc");

?>
