<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
unset($_SESSION);
session_destroy();

session_start();
require_once("bin/qtf_init.inc");

// INITIALISE

$oVIP->selfurl = "qtf_usr_logout.php";
$oVIP->selfname = $lang["Logout"];

$oVIP->id   = 0;
$oVIP->name = "Guest";
$oVIP->role = "V";
$oVIP->numpost= 0;

if ( isset($_COOKIE["qtf_cookname"]) ) setcookie("qtf_cookname", "", time()+60*60*24*100, "/");
if ( isset($_COOKIE["qtf_cookpass"]) ) setcookie("qtf_cookpass", "", time()+60*60*24*100, "/");

unset($_SESSION["qtGotolist"]);

$oVIP->exitname = $_SESSION["qtf"]["forum_index_name"];
$oVIP->EndMessage(NULL,$lang["Goodbye"], $strSkin,2);

?>
