<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.2 build:20070219
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once("bin/qtf_init.inc");
if ( !$oVIP->CanAccess("V",0,true) ) $oVIP->EndMessage("!",$lang["R_member"],$strSkin,0);

// INITIALISE

include("$strLang/qtf_register.inc");

$oVIP->selfurl = "qtf_usr_new.php";
$oVIP->selfname = $lang["Register"];

// --------
// EXECUTE FORM
// --------

if ( isset($_POST["FFsubmit"]) )
{
  if (!isset($_POST["FFagreed"]))
  {
    include("qtf_p_header.inc");
    echo "<br /><div class=\"div_msgboxtitle\" style=\"width: 350px;\">$oVIP->selfname</div>\n";
    echo "<div class=\"div_msgbox\" style=\"width: 350px;\">\n";
    $strFile="$strLang/sys_not_agree.txt";
    if ( file_exists($strFile) ) { include($strFile); } else { echo "Rules not agreed..."; }
    echo "<br />&laquo;&nbsp;<a href=\"{$oVIP->selfurl}\">{$lang["Register"]}</a></div><br />\n";
    include("qtf_p_footer.inc");
    Exit;
  }

  // continue to registration form
  echo "<meta http-equiv=\"REFRESH\" content=\"0;url=qtf_form_reg.php?c={$_POST["FFchild"]}\">";
  Exit;
}

// --------
// HTML START
// --------

$bCssExtra = true;
include("qtf_p_header.inc");

echo "<br /><form method=\"post\" action=\"{$oVIP->selfurl}\">\n";
echo "<div class=\"windowbox\">\n";

$strFile = "$strLang/sys_forum_rules.txt";
if (file_exists($strFile)) { include($strFile); } else { echo "Missing file:<br />$strFile"; }

echo "</div>\n";
echo "<br /><input type=\"checkbox\" id=\"FFagreed\" name=\"FFagreed\" /><label for=\"FFagreed\"><b>&nbsp;{$lang["Agree"]}</b></label><br />\n";
echo "<br /><div class=\"div_msgboxtitle\" style=\"width: 300px;\">$oVIP->selfname</div>\n";
echo "<div class=\"div_msgbox\" style=\"width: 300px;\">\n";
echo "<input type=\"radio\" id=\"FFchild1\" name=\"FFchild\" value=\"2\" checked=\"checked\" /><label for=\"FFchild1\">{$lang["I_am_child"]}</label><br />\n";
echo "<input type=\"radio\" id=\"FFchild0\" name=\"FFchild\" value=\"0\" /><label for=\"FFchild0\">{$lang["I_am_not_child"]}</label><br />\n";
echo "<p style=\"text-align:center;\"><input type=\"submit\" name=\"FFsubmit\" value=\"{$lang["Register"]}\" /></p>\n";
echo "</div>\n";
echo "<br />\n";
echo "</form>\n";

// HTML END

include("qtf_p_footer.inc");

?>