<?php

// QuickTalk forum 1.2 build:20070219

session_start();
include("bin/qtf_init.inc");

$strError = "";
$strAppl  = "QuickTalk forum";
$strVers  = "v1.2";

// --------
// Html start
// --------
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">
<html dir=\"ltr\" xml:lang=\"en\">

<head>
<title>$strAppl $strVers</title>
<meta http-equiv=\"content-type\" content=\"text/html; charset=iso-8859-1\" />
<link rel=\"stylesheet\" href=\"admin/qtf_main.css\">
</head>\n";

echo "<body>

<!-- PAGE CONTROL -->
<div class=\"div_page\">
<table class=\"tab_page\" width=\"550\" cellspacing=\"0\" style=\"margin:5px\">
<tr class=\"tr_page\">
<td class=\"td_page\">
<!-- PAGE CONTROL -->
\n";

echo <<<END
<!-- HEADER BANNER -->
<div class="div_banner">
<div class="div_banner_in">
<img src="admin/qtf_logo.gif" width="175" height="50" style="border-width:0" alt="QuickTalk" title="QuickTalk" />
</div>
</div>
<!-- END HEADER BANNER -->\n\n
END;

echo "<!-- BODY MAIN -->
<table width=\"100%\" cellspacing=\"0\" style=\"border:1px solid #AAAAAA;\">
<tr>
<td style=\"padding:5px 10px 5px 10px;\">
<!-- BODY MAIN -->
\n";

echo "<h1>Upgrade $strAppl</h1><br />\n";

// CHECK VERSION

$oDB->Query("SELECT setting FROM ".TABSETTING." WHERE param=\"version\"");
if ( $row = $oDB->Getrow())
{
  if ( $row["setting"]=="1.2" ) $strError="Version is already 1.2";
}

// UPDATE SETTINGS

if ( empty($strError) )
{
  echo "<h2>Upgrade table settings to $strVers</h2>\n";
  
  switch($oDB->type)
  {
  case "odbc":
    $oDB->Query("ALTER TABLE ".TABSETTING." ALTER COLUMN setting varchar(255)");
    break;  
  case "pg":
    $oDB->Query("ALTER TABLE ".TABSETTING." ALTER setting TYPE varchar(255)");
    break;
  case "mysql":
    $oDB->Query("ALTER TABLE ".TABSETTING." CHANGE setting setting varchar(255)");
    break;
  default:
    $oDB->Query("ALTER TABLE ".TABSETTING." ALTER COLUMN setting varchar(255)");
    break;
  }  
  $oDB->Query("DELETE FROM ".TABSETTING." WHERE param=\"admin_add\"");
  $oDB->Query("DELETE FROM ".TABSETTING." WHERE param=\"showback\"");
  $oDB->Query("SELECT count(*) as countid FROM ".TABSETTING." WHERE param=\"admin_name\"");
    $row = $oDB->Getrow();
    if ( $row["countid"]==0 ) $oDB->Query("INSERT INTO ".TABSETTING." VALUES (\"admin_name\", \"\", \"0\")");
  $oDB->Query("SELECT count(*) as countid FROM ".TABSETTING." WHERE param=\"admin_addr\"");
    $row = $oDB->Getrow();
    if ( $row["countid"]==0 ) $oDB->Query("INSERT INTO ".TABSETTING." VALUES (\"admin_addr\", \"\", \"0\")");
  $oDB->Query("SELECT count(*) as countid FROM ".TABSETTING." WHERE param=\"site_url\"");
    $row = $oDB->Getrow();
    if ( $row["countid"]==0 ) $oDB->Query("INSERT INTO ".TABSETTING." VALUES (\"site_url\", \"http://\", \"1\")");
  $oDB->Query("SELECT count(*) as countid FROM ".TABSETTING." WHERE param=\"bbc\"");
    $row = $oDB->Getrow();
    if ( $row["countid"]==0 ) $oDB->Query("INSERT INTO ".TABSETTING." VALUES (\"bbc\", \"1\", \"1\")");
  $oDB->Query("SELECT count(*) as countid FROM ".TABSETTING." WHERE param=\"lines_per_post\"");
    $row = $oDB->Getrow();
    if ( $row["countid"]==0 ) $oDB->Query("INSERT INTO ".TABSETTING." VALUES (\"lines_per_post\", \"100\", \"1\")");
  $oDB->Query("SELECT count(*) as countid FROM ".TABSETTING." WHERE param=\"javamail\"");
    $row = $oDB->Getrow();
    if ( $row["countid"]==0 ) $oDB->Query("INSERT INTO ".TABSETTING." VALUES (\"javamail\", \"0\", \"1\")");
  echo "OK.<br /><br />\n";
}

// UPDATE FORUM

if ( empty($strError) )
{
  echo "<h2>Upgrade table forum to $strVers</h2>\n";
  switch($oDB->type)
  {
  case "mysql":
    $oDB->Query("ALTER TABLE ".TABFORUM." DROP KEY title");
    $oDB->Query("ALTER TABLE ".TABFORUM." CHANGE hidden type char(1) NOT NULL default \"0\"");
    $oDB->Query("ALTER TABLE ".TABFORUM." CHANGE closed status char(1) NOT NULL default \"0\"");
    break;
  case "odbc":
    echo "SQL cannot drop unique index on [qtaforum.title], please do it with your database administration interface.";
    $oDB->Query("ALTER TABLE ".TABFORUM." ADD type char(1)");
    $oDB->Query("ALTER TABLE ".TABFORUM." ADD status char(1)");
    $oDB->Query("UPDATE ".TABFORUM." SET type=hidden");
    $oDB->Query("UPDATE ".TABFORUM." SET status=closed");
    $oDB->Query("ALTER TABLE ".TABFORUM." DROP hidden");
    $oDB->Query("ALTER TABLE ".TABFORUM." DROP closed");
    break;
  case "mssql":
    $oDB->Query("ALTER TABLE ".TABFORUM." DROP CONSTRAINT u_title_qtaforum");
    $oDB->Query("ALTER TABLE ".TABFORUM." ADD \"type\" char(1)");
    $oDB->Query("ALTER TABLE ".TABFORUM." ADD status char(1)");
    $oDB->Query("UPDATE ".TABFORUM." SET type=hidden");
    $oDB->Query("UPDATE ".TABFORUM." SET status=closed");  //cannot drop (defaults are bound as constrains)
    break;
  case "pg":
    echo "SQL cannot drop unique index on [qtaforum.title], please do it with your database administration interface.";
    $oDB->Query("ALTER TABLE ".TABFORUM." RENAME hidden TO type");
    $oDB->Query("ALTER TABLE ".TABFORUM." ALTER COLUMN type SET DEFAULT \"0\"");
    $oDB->Query("ALTER TABLE ".TABFORUM." ALTER COLUMN type SET NOT NULL");
    $oDB->Query("ALTER TABLE ".TABFORUM." RENAME closed TO status");
    $oDB->Query("ALTER TABLE ".TABFORUM." ALTER COLUMN status SET DEFAULT \"0\"");
    $oDB->Query("ALTER TABLE ".TABFORUM." ALTER COLUMN status SET NOT NULL");
    break;
  default:
    $oDB->Query("ALTER TABLE ".TABFORUM." DROP CONSTRAINT u_title");
    $oDB->Query("ALTER TABLE ".TABFORUM." ADD type char(1)");
    $oDB->Query("ALTER TABLE ".TABFORUM." ADD status char(1)");
    $oDB->Query("UPDATE ".TABFORUM." SET type=hidden");
    $oDB->Query("UPDATE ".TABFORUM." SET status=closed");
    $oDB->Query("ALTER TABLE ".TABFORUM." DROP hidden");
    $oDB->Query("ALTER TABLE ".TABFORUM." DROP closed");
    break;
  }
  echo "OK.<br /><br />\n";
}

// UPDATE USER

if ( empty($strError) )
{
  echo "<h2>Upgrade table user to $strVers</h2>\n";
  switch($oDB->type)
  {
  case "mysql":
    $oDB->Query("ALTER TABLE ".TABUSER." CHANGE www www varchar(255)");
    $oDB->Query("ALTER TABLE ".TABUSER." CHANGE mail mail varchar(255)");
    $oDB->Query("ALTER TABLE ".TABUSER." CHANGE parentmail parentmail varchar(255)");
    $oDB->Query("ALTER TABLE ".TABUSER." ADD ip varchar(24)");
    $oDB->Query("ALTER TABLE ".TABUSER." ADD birthday date");
    break;    
  case "odbc":
    $oDB->Query("ALTER TABLE ".TABUSER." ALTER COLUMN www varchar(255)");
    $oDB->Query("ALTER TABLE ".TABUSER." ALTER COLUMN mail varchar(255)");
    $oDB->Query("ALTER TABLE ".TABUSER." ALTER COLUMN parentmail varchar(255)");
    $oDB->Query("ALTER TABLE ".TABUSER." ADD ip varchar(24)");
    $oDB->Query("ALTER TABLE ".TABUSER." ADD birthday datetime");
    break;
  case "mssql":
    $oDB->Query("ALTER TABLE ".TABUSER." ALTER COLUMN www varchar(255)");
    $oDB->Query("ALTER TABLE ".TABUSER." ALTER COLUMN mail varchar(255)");
    $oDB->Query("ALTER TABLE ".TABUSER." ALTER COLUMN parentmail varchar(255)");
    $oDB->Query("ALTER TABLE ".TABUSER." ADD ip varchar(24)");
    $oDB->Query("ALTER TABLE ".TABUSER." ADD birthday smalldatetime");
    break;
  case "pg":
    $oDB->Query("ALTER TABLE ".TABUSER." ALTER www TYPE varchar(255)");
    $oDB->Query("ALTER TABLE ".TABUSER." ALTER mail TYPE varchar(255)");
    $oDB->Query("ALTER TABLE ".TABUSER." ALTER parentmail TYPE varchar(255)");
    $oDB->Query("ALTER TABLE ".TABUSER." ADD ip varchar(24)");
    $oDB->Query("ALTER TABLE ".TABUSER." ADD birthday date");
    break;
  default:
    $oDB->Query("ALTER TABLE ".TABUSER." ALTER www varchar(255)");
    $oDB->Query("ALTER TABLE ".TABUSER." ALTER mail varchar(255)");
    $oDB->Query("ALTER TABLE ".TABUSER." ALTER parentmail varchar(255)");
    $oDB->Query("ALTER TABLE ".TABUSER." ADD ip varchar(24)");
    $oDB->Query("ALTER TABLE ".TABUSER." ADD birthday date");
  }
  echo "OK.<br /><br />\n";
}

// UPDATE TOPIC AND POST

if ( empty($strError) )
{
  echo "<h2>Upgrade Table topic and post to $strVers</h2>\n";
  switch($oDB->type)
  {
  case "odbc":
    $oDB->Query("ALTER TABLE ".TABTOPIC." ADD firstpostname varchar(24)");
    $oDB->Query("ALTER TABLE ".TABTOPIC." ADD lastpostname varchar(24)");
    $oDB->Query("ALTER TABLE ".TABTOPIC." ADD status char(1)");
    $oDB->Query("UPDATE ".TABTOPIC." SET status=closed");
    $oDB->Query("ALTER TABLE ".TABTOPIC." DROP closed");    
    $oDB->Query("ALTER TABLE ".TABTOPIC." DROP hidden");    
    $oDB->Query("ALTER TABLE ".TABPOST." ADD username varchar(24)");
    $oDB->Query("ALTER TABLE ".TABPOST." ADD modifname varchar(24)");
    $oDB->Query("UPDATE ".TABTOPIC." SET type=\"T\" WHERE type=\"P\"");
    $oDB->Query("UPDATE ".TABPOST." p,".TABUSER." u SET p.username=u.name WHERE p.userid=u.id");
    $oDB->Query("UPDATE ".TABPOST." p,".TABUSER." u SET p.modifname=u.name WHERE p.modifuser=u.id");
    $oDB->Query("UPDATE ".TABTOPIC." t,".TABUSER." u SET t.firstpostname=u.name WHERE t.firstpostuser=u.id");
    $oDB->Query("UPDATE ".TABTOPIC." t,".TABUSER." u SET t.lastpostname=u.name WHERE t.lastpostuser=u.id");
    break;
  case "mssql":
    $oDB->Query("ALTER TABLE ".TABTOPIC." ADD firstpostname varchar(24)");
    $oDB->Query("ALTER TABLE ".TABTOPIC." ADD lastpostname varchar(24)");
    $oDB->Query("ALTER TABLE ".TABTOPIC." ADD status char(1)");
    $oDB->Query("UPDATE ".TABTOPIC." SET status=closed");
    $oDB->Query("ALTER TABLE ".TABPOST." ADD username varchar(24)");
    $oDB->Query("ALTER TABLE ".TABPOST." ADD modifname varchar(24)");
    $oDB->Query("UPDATE ".TABTOPIC." SET type=\"T\" WHERE type=\"P\"");
    $oDB->Query("UPDATE ".TABPOST." p,".TABUSER." u SET p.username=u.name WHERE p.userid=u.id");
    $oDB->Query("UPDATE ".TABPOST." p,".TABUSER." u SET p.modifname=u.name WHERE p.modifuser=u.id");
    $oDB->Query("UPDATE ".TABTOPIC." t,".TABUSER." u SET t.firstpostname=u.name WHERE t.firstpostuser=u.id");
    $oDB->Query("UPDATE ".TABTOPIC." t,".TABUSER." u SET t.lastpostname=u.name WHERE t.lastpostuser=u.id");
    break;
  case "ifx":
    $oDB->Query("ALTER TABLE ".TABTOPIC." ADD firstpostname varchar(24)");
    $oDB->Query("ALTER TABLE ".TABTOPIC." ADD lastpostname varchar(24)");
    $oDB->Query("ALTER TABLE ".TABTOPIC." ALTER COLUMN closed status char(1) NOT NULL default \"0\"");
    $oDB->Query("ALTER TABLE ".TABPOST." ADD username varchar(24)");
    $oDB->Query("ALTER TABLE ".TABPOST." ADD modifname varchar(24)");
    $oDB->Query("UPDATE ".TABTOPIC." SET type=\"T\" WHERE type=\"P\"");
    $oDB->Query("UPDATE ".TABPOST." p,".TABUSER." u SET p.username=u.name WHERE p.userid=u.id");
    $oDB->Query("UPDATE ".TABPOST." p,".TABUSER." u SET p.modifname=u.name WHERE p.modifuser=u.id");
    $oDB->Query("UPDATE ".TABTOPIC." t,".TABUSER." u SET t.firstpostname=u.name WHERE t.firstpostuser=u.id");
    $oDB->Query("UPDATE ".TABTOPIC." t,".TABUSER." u SET t.lastpostname=u.name WHERE t.lastpostuser=u.id");
    break;
  case "pg":
    $oDB->Query("ALTER TABLE ".TABTOPIC." ADD firstpostname varchar(24)");
    $oDB->Query("ALTER TABLE ".TABTOPIC." ADD lastpostname varchar(24)");
    $oDB->Query("ALTER TABLE ".TABTOPIC." RENAME closed TO status");
    $oDB->Query("ALTER TABLE ".TABTOPIC." ALTER COLUMN status SET DEFAULT \"0\"");
    $oDB->Query("ALTER TABLE ".TABTOPIC." ALTER COLUMN status SET NOT NULL");
    $oDB->Query("ALTER TABLE ".TABPOST." ADD username varchar(24)");
    $oDB->Query("ALTER TABLE ".TABPOST." ADD modifname varchar(24)");
    $oDB->Query("UPDATE ".TABTOPIC." SET type=\"T\" WHERE type=\"P\"");
    $oDB->Query("UPDATE ".TABPOST." p SET username=u.name FROM ".TABUSER." u WHERE p.userid=u.id");
    $oDB->Query("UPDATE ".TABPOST." p SET modifname=u.name FROM ".TABUSER." u WHERE p.modifuser=u.id");
    $oDB->Query("UPDATE ".TABTOPIC." t SET firstpostname=u.name FROM ".TABUSER." u WHERE t.firstpostuser=u.id");
    $oDB->Query("UPDATE ".TABTOPIC." t SET lastpostname=u.name FROM ".TABUSER." u WHERE t.lastpostuser=u.id");
    break;
  default:
    $oDB->Query("ALTER TABLE ".TABTOPIC." ADD firstpostname varchar(24) NULL default NULL");
    $oDB->Query("ALTER TABLE ".TABTOPIC." ADD lastpostname varchar(24) NULL default NULL");
    $oDB->Query("ALTER TABLE ".TABTOPIC." CHANGE closed status char(1) NOT NULL default \"0\"");
    $oDB->Query("ALTER TABLE ".TABPOST." ADD username varchar(24) NULL default NULL");
    $oDB->Query("ALTER TABLE ".TABPOST." ADD modifname varchar(24) NULL default NULL");
    $oDB->Query("UPDATE ".TABTOPIC." SET type=\"T\" WHERE type=\"P\"");
    $oDB->Query("UPDATE ".TABPOST." p,".TABUSER." u SET p.username=u.name WHERE p.userid=u.id");
    $oDB->Query("UPDATE ".TABPOST." p,".TABUSER." u SET p.modifname=u.name WHERE p.modifuser=u.id");
    $oDB->Query("UPDATE ".TABTOPIC." t,".TABUSER." u SET t.firstpostname=u.name WHERE t.firstpostuser=u.id");
    $oDB->Query("UPDATE ".TABTOPIC." t,".TABUSER." u SET t.lastpostname=u.name WHERE t.lastpostuser=u.id");
  }    
  echo "OK.<br /><br />\n";
}

// END

if ( empty($strError) )
{
  echo "<h2>Upgrade to $strVers completed.</h2>\n";
  echo "<p>You can delete the file upgradeto12.php</p>\n";

  $oDB->Query("SELECT count(*) as countid FROM ".TABSETTING." WHERE param=\"version\"");
  $row = $oDB->Getrow();
  if ( $row["countid"]==0 )
  {
    $oDB->Query("INSERT INTO ".TABSETTING." VALUES (\"version\", \"1.2\", \"1\")");
  }
  else
  {
    $oDB->Query("UPDATE ".TABSETTING." SET setting=\"1.2\" WHERE param=\"version\"");
  }
  echo "<a href=\"qtf_index.php\">Index</a>";
}
else
{
  echo "<p class=\"error\">$strError</p>";
}

// --------
// HTML END
// --------

echo "<!-- END BODY MAIN -->
</td>
</tr>
</table>
<!-- END BODY MAIN -->\n\n";

echo "<div class=\"div_footer_copy\">\n";
echo "<span class=\"p_footer_copy\">powered by <a href=\"http://www.qt-cute.org\" class=\"a_footer_copy\">QT-cute</a></span>\n";
echo "</div>\n\n";

echo "<!-- END PAGE CONTROL -->
</td>
</tr>
</table>
</div>
<!-- END PAGE CONTROL -->

</body>

</html>";

unset($_SESSION);
session_destroy();

?>
